Console Output

Started by upstream project "CE_gplibrary_Push_research_models" build number 262
originally caused by:
 Started by upstream project "CE_gpkit_Push_unit_tests" build number 794
 originally caused by:
  Started by GitHub push by bqpd
  Started by GitHub push by bqpd
Running as SYSTEM
[EnvInject] - Loading node environment variables.
Building remotely on reynolds in workspace /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt
The recommended git tool is: NONE
using credential 3614a4cf-01de-4393-97de-73734b7dd5a2
Wiping out workspace first.
Cloning the remote Git repository
Cloning repository https://github.com/convexengineering/gplibrary
 > git init /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt # timeout=10
Fetching upstream changes from https://github.com/convexengineering/gplibrary
 > git --version # timeout=10
 > git --version # 'git version 2.25.1'
using GIT_SSH to set credentials 
 > git fetch --tags --force --progress -- https://github.com/convexengineering/gplibrary +refs/heads/*:refs/remotes/origin/* # timeout=10
 > git config remote.origin.url https://github.com/convexengineering/gplibrary # timeout=10
 > git config --add remote.origin.fetch +refs/heads/*:refs/remotes/origin/* # timeout=10
 > git config remote.origin.url https://github.com/convexengineering/gplibrary # timeout=10
Fetching upstream changes from https://github.com/convexengineering/gplibrary
using GIT_SSH to set credentials 
 > git fetch --tags --force --progress -- https://github.com/convexengineering/gplibrary +refs/pull/*:refs/remotes/origin/pr/* +refs/heads/master:refs/remotes/origin/master # timeout=10
Checking out Revision 3229a68974b37d818a0fe1b2bad9b448f40f7323 (origin/master)
 > git config core.sparsecheckout # timeout=10
 > git checkout -f 3229a68974b37d818a0fe1b2bad9b448f40f7323 # timeout=3
Commit message: "remove adnumber"
 > git rev-list --no-walk 3229a68974b37d818a0fe1b2bad9b448f40f7323 # timeout=10
The recommended git tool is: NONE
using credential 3614a4cf-01de-4393-97de-73734b7dd5a2
 > git rev-parse 3229a68974b37d818a0fe1b2bad9b448f40f7323^{commit} # timeout=10
The recommended git tool is: NONE
using credential 3614a4cf-01de-4393-97de-73734b7dd5a2
[GitCheckoutListener] Recording commits of 'git https://github.com/convexengineering/gplibrary'
[GitCheckoutListener] Found previous build 'CE_gplibrary_Push_research_models/buildnode=reynolds,optimizer=cvxopt #261' that contains recorded Git commits
[GitCheckoutListener] -> Starting recording of new commits since '3229a68'
[GitCheckoutListener] -> Using head commit '3229a68' as starting point
[GitCheckoutListener] -> Git commit decorator successfully obtained 'hudson.plugins.git.browser.GithubWeb@3e6c08fd' to render commit links
[GitCheckoutListener] -> No new commits found
Run condition [Execution node ] enabling prebuild for step [Execute shell]
Run condition [Execution node ] enabling prebuild for step [Execute Windows batch command]
[Execution node] check if [reynolds] is in [[macys, macys_VM, reynolds, reynolds-ubuntu16]]
Run condition [Execution node ] enabling perform for step [Execute shell]
[cvxopt] $ /bin/bash -xe /tmp/jenkins8471704785170160896.sh
+ git clone ssh://acdl.mit.edu/home/svnroot/JenkinsGPkit
Cloning into 'JenkinsGPkit'...
+ source /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/JenkinsGPkit/gplibrary_models.sh
++ source /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/JenkinsGPkit/all_machines.sh
+++ export PYTHONHASHSEED=0
+++ PYTHONHASHSEED=0
+++ echo 'Python hash seed set to: 0'
Python hash seed set to: 0
+++ [[ reynolds == *macys* ]]
+++ [[ reynolds == *reynolds* ]]
+++ export CVXOPT_SUITESPARSE_INC_DIR=/usr/include/suitesparse
+++ CVXOPT_SUITESPARSE_INC_DIR=/usr/include/suitesparse
+++ export PATH=/home/jenkins/.local/bin/:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/snap/bin
+++ PATH=/home/jenkins/.local/bin/:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/snap/bin
+++ virtualenv --python=python3 /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins
created virtual environment CPython3.8.10.final.0-64 in 132ms
  creator CPython3Posix(dest=/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins, clear=False, global=False)
  seeder FromAppData(download=False, pip=latest, setuptools=latest, wheel=latest, pkg_resources=latest, via=copy, app_data_dir=/home/jenkins/.local/share/virtualenv/seed-app-data/v1.0.1.debian.1)
  activators BashActivator,CShellActivator,FishActivator,PowerShellActivator,PythonActivator,XonshActivator
+++ source /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/bin/activate
++++ '[' /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/bin/activate = /tmp/jenkins8471704785170160896.sh ']'
++++ deactivate nondestructive
++++ unset -f pydoc
++++ '[' -z '' ']'
++++ '[' -z '' ']'
++++ '[' -n /bin/bash ']'
++++ hash -r
++++ '[' -z '' ']'
++++ unset VIRTUAL_ENV
++++ '[' '!' nondestructive = nondestructive ']'
++++ VIRTUAL_ENV=/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins
++++ export VIRTUAL_ENV
++++ _OLD_VIRTUAL_PATH=/home/jenkins/.local/bin/:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/snap/bin
++++ PATH=/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/bin:/home/jenkins/.local/bin/:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/snap/bin
++++ export PATH
++++ '[' -z '' ']'
++++ '[' -z '' ']'
++++ _OLD_VIRTUAL_PS1=
++++ '[' x '!=' x ']'
+++++ basename /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins
++++ PS1='(venv_jenkins) '
++++ export PS1
++++ alias pydoc
++++ true
++++ '[' -n /bin/bash ']'
++++ hash -r
+++ ls /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt
EXTERNALTESTS
EXTERNALTESTSreadme.md
gpkitmodels
JenkinsGPkit
LICENSE
README.md
researchmodeltests.sh
runtests.sh
setup.py
TESTCONFIG
TESTS
venv_jenkins
++++ which pip
+++ export PIP=/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/bin/pip
+++ PIP=/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/bin/pip
+++ pip_install pip
+++ python /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/bin/pip install --upgrade pip
Collecting pip
  Using cached pip-22.0.4-py3-none-any.whl (2.1 MB)
Installing collected packages: pip
  Attempting uninstall: pip
    Found existing installation: pip 20.0.2
    Uninstalling pip-20.0.2:
      Successfully uninstalled pip-20.0.2
Successfully installed pip-22.0.4

real	0m3.090s
user	0m2.651s
sys	0m0.364s
++ source /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/JenkinsGPkit/mosek_installs.sh
+++ [[ cvxopt == mosek ]]
++ source /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/JenkinsGPkit/cvxopt_installs.sh
+++ [[ cvxopt == cvxopt ]]
+++ pip_install cvxopt
+++ python /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/bin/pip install --upgrade cvxopt
Collecting cvxopt
  Using cached cvxopt-1.3.0-cp38-cp38-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (12.7 MB)
Installing collected packages: cvxopt
Successfully installed cvxopt-1.3.0

real	0m1.195s
user	0m0.910s
sys	0m0.212s
+++ python -c 'import cvxopt'
+++ export GPKITSOLVERS=cvxopt
+++ GPKITSOLVERS=cvxopt
+++ COVERAGE_OMIT='gpkit/solvers/mosek*'
++ source /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/JenkinsGPkit/pip_installs_base.sh
+++ pip_install adce
+++ python /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/bin/pip install --upgrade adce
Collecting adce
  Using cached adce-1.3.3.2-py3-none-any.whl
Installing collected packages: adce
Successfully installed adce-1.3.3.2

real	0m0.682s
user	0m0.558s
sys	0m0.077s
+++ pip_install unittest-xml-reporting
+++ python /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/bin/pip install --upgrade unittest-xml-reporting
Collecting unittest-xml-reporting
  Using cached unittest_xml_reporting-3.2.0-py2.py3-none-any.whl (20 kB)
Collecting lxml
  Using cached lxml-4.8.0-cp38-cp38-manylinux_2_17_x86_64.manylinux2014_x86_64.manylinux_2_24_x86_64.whl (6.9 MB)
Installing collected packages: lxml, unittest-xml-reporting
Successfully installed lxml-4.8.0 unittest-xml-reporting-3.2.0

real	0m1.304s
user	0m1.060s
sys	0m0.143s
+++ pip_install pandas
+++ python /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/bin/pip install --upgrade pandas
Collecting pandas
  Using cached pandas-1.4.1-cp38-cp38-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (11.7 MB)
Collecting pytz>=2020.1
  Using cached pytz-2022.1-py2.py3-none-any.whl (503 kB)
Collecting numpy>=1.18.5
  Using cached numpy-1.22.3-cp38-cp38-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (16.8 MB)
Collecting python-dateutil>=2.8.1
  Using cached python_dateutil-2.8.2-py2.py3-none-any.whl (247 kB)
Collecting six>=1.5
  Using cached six-1.16.0-py2.py3-none-any.whl (11 kB)
Installing collected packages: pytz, six, numpy, python-dateutil, pandas
Successfully installed numpy-1.22.3 pandas-1.4.1 python-dateutil-2.8.2 pytz-2022.1 six-1.16.0

real	0m7.455s
user	0m6.410s
sys	0m0.774s
+++ pip_install matplotlib
+++ python /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/bin/pip install --upgrade matplotlib
Collecting matplotlib
  Using cached matplotlib-3.5.1-cp38-cp38-manylinux_2_5_x86_64.manylinux1_x86_64.whl (11.3 MB)
Collecting fonttools>=4.22.0
  Using cached fonttools-4.31.2-py3-none-any.whl (899 kB)
Requirement already satisfied: numpy>=1.17 in ./venv_jenkins/lib/python3.8/site-packages (from matplotlib) (1.22.3)
Collecting kiwisolver>=1.0.1
  Using cached kiwisolver-1.4.2-cp38-cp38-manylinux_2_5_x86_64.manylinux1_x86_64.whl (1.2 MB)
Collecting cycler>=0.10
  Using cached cycler-0.11.0-py3-none-any.whl (6.4 kB)
Collecting pillow>=6.2.0
  Using cached Pillow-9.0.1-cp38-cp38-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (4.3 MB)
Collecting pyparsing>=2.2.1
  Using cached pyparsing-3.0.7-py3-none-any.whl (98 kB)
Requirement already satisfied: python-dateutil>=2.7 in ./venv_jenkins/lib/python3.8/site-packages (from matplotlib) (2.8.2)
Collecting packaging>=20.0
  Using cached packaging-21.3-py3-none-any.whl (40 kB)
Requirement already satisfied: six>=1.5 in ./venv_jenkins/lib/python3.8/site-packages (from python-dateutil>=2.7->matplotlib) (1.16.0)
Installing collected packages: pyparsing, pillow, kiwisolver, fonttools, cycler, packaging, matplotlib
Successfully installed cycler-0.11.0 fonttools-4.31.2 kiwisolver-1.4.2 matplotlib-3.5.1 packaging-21.3 pillow-9.0.1 pyparsing-3.0.7

real	0m4.522s
user	0m3.590s
sys	0m0.390s
+++ pip_install coverage
+++ python /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/bin/pip install --upgrade coverage
Collecting coverage
  Using cached coverage-6.3.2-cp38-cp38-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_17_x86_64.manylinux2014_x86_64.whl (212 kB)
Installing collected packages: coverage
Successfully installed coverage-6.3.2

real	0m1.306s
user	0m1.156s
sys	0m0.094s
+++ pip_install ipywidgets
+++ python /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/bin/pip install --upgrade ipywidgets
Collecting ipywidgets
  Using cached ipywidgets-7.7.0-py2.py3-none-any.whl (123 kB)
Collecting traitlets>=4.3.1
  Using cached traitlets-5.1.1-py3-none-any.whl (102 kB)
Collecting nbformat>=4.2.0
  Using cached nbformat-5.2.0-py3-none-any.whl (74 kB)
Collecting ipython>=4.0.0
  Using cached ipython-8.2.0-py3-none-any.whl (750 kB)
Collecting widgetsnbextension~=3.6.0
  Using cached widgetsnbextension-3.6.0-py2.py3-none-any.whl (1.6 MB)
Collecting ipykernel>=4.5.1
  Using cached ipykernel-6.10.0-py3-none-any.whl (130 kB)
Collecting jupyterlab-widgets>=1.0.0
  Using cached jupyterlab_widgets-1.1.0-py3-none-any.whl (245 kB)
Collecting ipython-genutils~=0.2.0
  Using cached ipython_genutils-0.2.0-py2.py3-none-any.whl (26 kB)
Collecting psutil
  Using cached psutil-5.9.0-cp38-cp38-manylinux_2_12_x86_64.manylinux2010_x86_64.manylinux_2_17_x86_64.manylinux2014_x86_64.whl (283 kB)
Collecting jupyter-client<8.0
  Using cached jupyter_client-7.2.0-py3-none-any.whl (130 kB)
Collecting tornado<7.0,>=5.0
  Using cached tornado-6.1-cp38-cp38-manylinux2010_x86_64.whl (427 kB)
Collecting nest-asyncio
  Using cached nest_asyncio-1.5.4-py3-none-any.whl (5.1 kB)
Collecting matplotlib-inline<0.2.0,>=0.1.0
  Using cached matplotlib_inline-0.1.3-py3-none-any.whl (8.2 kB)
Collecting debugpy<2.0,>=1.0.0
  Using cached debugpy-1.6.0-cp38-cp38-manylinux_2_5_x86_64.manylinux1_x86_64.manylinux_2_12_x86_64.manylinux2010_x86_64.whl (1.8 MB)
Collecting backcall
  Using cached backcall-0.2.0-py2.py3-none-any.whl (11 kB)
Collecting prompt-toolkit!=3.0.0,!=3.0.1,<3.1.0,>=2.0.0
  Using cached prompt_toolkit-3.0.28-py3-none-any.whl (380 kB)
Collecting stack-data
  Using cached stack_data-0.2.0-py3-none-any.whl (21 kB)
Requirement already satisfied: setuptools>=18.5 in ./venv_jenkins/lib/python3.8/site-packages (from ipython>=4.0.0->ipywidgets) (44.0.0)
Collecting pexpect>4.3
  Using cached pexpect-4.8.0-py2.py3-none-any.whl (59 kB)
Collecting decorator
  Using cached decorator-5.1.1-py3-none-any.whl (9.1 kB)
Collecting jedi>=0.16
  Using cached jedi-0.18.1-py2.py3-none-any.whl (1.6 MB)
Collecting pickleshare
  Using cached pickleshare-0.7.5-py2.py3-none-any.whl (6.9 kB)
Collecting pygments>=2.4.0
  Using cached Pygments-2.11.2-py3-none-any.whl (1.1 MB)
Collecting jupyter-core
  Using cached jupyter_core-4.9.2-py3-none-any.whl (86 kB)
Collecting jsonschema!=2.5.0,>=2.4
  Using cached jsonschema-4.4.0-py3-none-any.whl (72 kB)
Collecting notebook>=4.4.1
  Using cached notebook-6.4.10-py3-none-any.whl (9.9 MB)
Collecting parso<0.9.0,>=0.8.0
  Using cached parso-0.8.3-py2.py3-none-any.whl (100 kB)
Collecting importlib-resources>=1.4.0
  Using cached importlib_resources-5.6.0-py3-none-any.whl (28 kB)
Collecting attrs>=17.4.0
  Using cached attrs-21.4.0-py2.py3-none-any.whl (60 kB)
Collecting pyrsistent!=0.17.0,!=0.17.1,!=0.17.2,>=0.14.0
  Using cached pyrsistent-0.18.1-cp38-cp38-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (119 kB)
Collecting pyzmq>=17
  Using cached pyzmq-22.3.0-cp38-cp38-manylinux_2_12_x86_64.manylinux2010_x86_64.whl (1.1 MB)
Requirement already satisfied: python-dateutil>=2.1 in ./venv_jenkins/lib/python3.8/site-packages (from jupyter-client<8.0->ipykernel>=4.5.1->ipywidgets) (2.8.2)
Collecting entrypoints
  Using cached entrypoints-0.4-py3-none-any.whl (5.3 kB)
Collecting nbconvert>=5
  Using cached nbconvert-6.4.5-py3-none-any.whl (561 kB)
Collecting terminado>=0.8.3
  Using cached terminado-0.13.3-py3-none-any.whl (14 kB)
Collecting jinja2
  Using cached Jinja2-3.1.1-py3-none-any.whl (132 kB)
Collecting argon2-cffi
  Using cached argon2_cffi-21.3.0-py3-none-any.whl (14 kB)
Collecting Send2Trash>=1.8.0
  Using cached Send2Trash-1.8.0-py3-none-any.whl (18 kB)
Collecting prometheus-client
  Using cached prometheus_client-0.13.1-py3-none-any.whl (57 kB)
Collecting ptyprocess>=0.5
  Using cached ptyprocess-0.7.0-py2.py3-none-any.whl (13 kB)
Collecting wcwidth
  Using cached wcwidth-0.2.5-py2.py3-none-any.whl (30 kB)
Collecting pure-eval
  Using cached pure_eval-0.2.2-py3-none-any.whl (11 kB)
Collecting executing
  Using cached executing-0.8.3-py2.py3-none-any.whl (16 kB)
Collecting asttokens
  Using cached asttokens-2.0.5-py2.py3-none-any.whl (20 kB)
Collecting zipp>=3.1.0
  Using cached zipp-3.7.0-py3-none-any.whl (5.3 kB)
Collecting pandocfilters>=1.4.1
  Using cached pandocfilters-1.5.0-py2.py3-none-any.whl (8.7 kB)
Collecting bleach
  Using cached bleach-4.1.0-py2.py3-none-any.whl (157 kB)
Collecting defusedxml
  Using cached defusedxml-0.7.1-py2.py3-none-any.whl (25 kB)
Collecting mistune<2,>=0.8.1
  Using cached mistune-0.8.4-py2.py3-none-any.whl (16 kB)
Collecting nbclient<0.6.0,>=0.5.0
  Using cached nbclient-0.5.13-py3-none-any.whl (70 kB)
Collecting MarkupSafe>=2.0
  Using cached MarkupSafe-2.1.1-cp38-cp38-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (25 kB)
Collecting beautifulsoup4
  Using cached beautifulsoup4-4.10.0-py3-none-any.whl (97 kB)
Collecting jupyterlab-pygments
  Using cached jupyterlab_pygments-0.1.2-py2.py3-none-any.whl (4.6 kB)
Collecting testpath
  Using cached testpath-0.6.0-py3-none-any.whl (83 kB)
Requirement already satisfied: six>=1.5 in ./venv_jenkins/lib/python3.8/site-packages (from python-dateutil>=2.1->jupyter-client<8.0->ipykernel>=4.5.1->ipywidgets) (1.16.0)
Collecting argon2-cffi-bindings
  Using cached argon2_cffi_bindings-21.2.0-cp36-abi3-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (86 kB)
Collecting cffi>=1.0.1
  Using cached cffi-1.15.0-cp38-cp38-manylinux_2_12_x86_64.manylinux2010_x86_64.whl (446 kB)
Collecting soupsieve>1.2
  Using cached soupsieve-2.3.1-py3-none-any.whl (37 kB)
Collecting webencodings
  Using cached webencodings-0.5.1-py2.py3-none-any.whl (11 kB)
Requirement already satisfied: packaging in ./venv_jenkins/lib/python3.8/site-packages (from bleach->nbconvert>=5->notebook>=4.4.1->widgetsnbextension~=3.6.0->ipywidgets) (21.3)
Collecting pycparser
  Using cached pycparser-2.21-py2.py3-none-any.whl (118 kB)
Requirement already satisfied: pyparsing!=3.0.5,>=2.0.2 in ./venv_jenkins/lib/python3.8/site-packages (from packaging->bleach->nbconvert>=5->notebook>=4.4.1->widgetsnbextension~=3.6.0->ipywidgets) (3.0.7)
Installing collected packages: webencodings, wcwidth, Send2Trash, pure-eval, ptyprocess, pickleshare, mistune, ipython-genutils, executing, backcall, zipp, traitlets, tornado, testpath, soupsieve, pyzmq, pyrsistent, pygments, pycparser, psutil, prompt-toolkit, prometheus-client, pexpect, parso, pandocfilters, nest-asyncio, MarkupSafe, jupyterlab-widgets, entrypoints, defusedxml, decorator, debugpy, attrs, asttokens, terminado, stack-data, matplotlib-inline, jupyterlab-pygments, jupyter-core, jinja2, jedi, importlib-resources, cffi, bleach, beautifulsoup4, jupyter-client, jsonschema, ipython, argon2-cffi-bindings, nbformat, ipykernel, argon2-cffi, nbclient, nbconvert, notebook, widgetsnbextension, ipywidgets
Successfully installed MarkupSafe-2.1.1 Send2Trash-1.8.0 argon2-cffi-21.3.0 argon2-cffi-bindings-21.2.0 asttokens-2.0.5 attrs-21.4.0 backcall-0.2.0 beautifulsoup4-4.10.0 bleach-4.1.0 cffi-1.15.0 debugpy-1.6.0 decorator-5.1.1 defusedxml-0.7.1 entrypoints-0.4 executing-0.8.3 importlib-resources-5.6.0 ipykernel-6.10.0 ipython-8.2.0 ipython-genutils-0.2.0 ipywidgets-7.7.0 jedi-0.18.1 jinja2-3.1.1 jsonschema-4.4.0 jupyter-client-7.2.0 jupyter-core-4.9.2 jupyterlab-pygments-0.1.2 jupyterlab-widgets-1.1.0 matplotlib-inline-0.1.3 mistune-0.8.4 nbclient-0.5.13 nbconvert-6.4.5 nbformat-5.2.0 nest-asyncio-1.5.4 notebook-6.4.10 pandocfilters-1.5.0 parso-0.8.3 pexpect-4.8.0 pickleshare-0.7.5 prometheus-client-0.13.1 prompt-toolkit-3.0.28 psutil-5.9.0 ptyprocess-0.7.0 pure-eval-0.2.2 pycparser-2.21 pygments-2.11.2 pyrsistent-0.18.1 pyzmq-22.3.0 soupsieve-2.3.1 stack-data-0.2.0 terminado-0.13.3 testpath-0.6.0 tornado-6.1 traitlets-5.1.1 wcwidth-0.2.5 webencodings-0.5.1 widgetsnbextension-3.6.0 zipp-3.7.0

real	0m13.389s
user	0m9.819s
sys	0m0.851s
+++ pip_install ipysankeywidget
+++ python /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/bin/pip install --upgrade ipysankeywidget
Collecting ipysankeywidget
  Using cached ipysankeywidget-0.4.1-py2.py3-none-any.whl (1.2 MB)
Requirement already satisfied: ipywidgets>=7.0.0 in ./venv_jenkins/lib/python3.8/site-packages (from ipysankeywidget) (7.7.0)
Requirement already satisfied: traitlets>=4.3.1 in ./venv_jenkins/lib/python3.8/site-packages (from ipywidgets>=7.0.0->ipysankeywidget) (5.1.1)
Requirement already satisfied: nbformat>=4.2.0 in ./venv_jenkins/lib/python3.8/site-packages (from ipywidgets>=7.0.0->ipysankeywidget) (5.2.0)
Requirement already satisfied: ipython>=4.0.0 in ./venv_jenkins/lib/python3.8/site-packages (from ipywidgets>=7.0.0->ipysankeywidget) (8.2.0)
Requirement already satisfied: widgetsnbextension~=3.6.0 in ./venv_jenkins/lib/python3.8/site-packages (from ipywidgets>=7.0.0->ipysankeywidget) (3.6.0)
Requirement already satisfied: ipykernel>=4.5.1 in ./venv_jenkins/lib/python3.8/site-packages (from ipywidgets>=7.0.0->ipysankeywidget) (6.10.0)
Requirement already satisfied: jupyterlab-widgets>=1.0.0 in ./venv_jenkins/lib/python3.8/site-packages (from ipywidgets>=7.0.0->ipysankeywidget) (1.1.0)
Requirement already satisfied: ipython-genutils~=0.2.0 in ./venv_jenkins/lib/python3.8/site-packages (from ipywidgets>=7.0.0->ipysankeywidget) (0.2.0)
Requirement already satisfied: psutil in ./venv_jenkins/lib/python3.8/site-packages (from ipykernel>=4.5.1->ipywidgets>=7.0.0->ipysankeywidget) (5.9.0)
Requirement already satisfied: jupyter-client<8.0 in ./venv_jenkins/lib/python3.8/site-packages (from ipykernel>=4.5.1->ipywidgets>=7.0.0->ipysankeywidget) (7.2.0)
Requirement already satisfied: tornado<7.0,>=5.0 in ./venv_jenkins/lib/python3.8/site-packages (from ipykernel>=4.5.1->ipywidgets>=7.0.0->ipysankeywidget) (6.1)
Requirement already satisfied: nest-asyncio in ./venv_jenkins/lib/python3.8/site-packages (from ipykernel>=4.5.1->ipywidgets>=7.0.0->ipysankeywidget) (1.5.4)
Requirement already satisfied: matplotlib-inline<0.2.0,>=0.1.0 in ./venv_jenkins/lib/python3.8/site-packages (from ipykernel>=4.5.1->ipywidgets>=7.0.0->ipysankeywidget) (0.1.3)
Requirement already satisfied: debugpy<2.0,>=1.0.0 in ./venv_jenkins/lib/python3.8/site-packages (from ipykernel>=4.5.1->ipywidgets>=7.0.0->ipysankeywidget) (1.6.0)
Requirement already satisfied: backcall in ./venv_jenkins/lib/python3.8/site-packages (from ipython>=4.0.0->ipywidgets>=7.0.0->ipysankeywidget) (0.2.0)
Requirement already satisfied: prompt-toolkit!=3.0.0,!=3.0.1,<3.1.0,>=2.0.0 in ./venv_jenkins/lib/python3.8/site-packages (from ipython>=4.0.0->ipywidgets>=7.0.0->ipysankeywidget) (3.0.28)
Requirement already satisfied: stack-data in ./venv_jenkins/lib/python3.8/site-packages (from ipython>=4.0.0->ipywidgets>=7.0.0->ipysankeywidget) (0.2.0)
Requirement already satisfied: setuptools>=18.5 in ./venv_jenkins/lib/python3.8/site-packages (from ipython>=4.0.0->ipywidgets>=7.0.0->ipysankeywidget) (44.0.0)
Requirement already satisfied: pexpect>4.3 in ./venv_jenkins/lib/python3.8/site-packages (from ipython>=4.0.0->ipywidgets>=7.0.0->ipysankeywidget) (4.8.0)
Requirement already satisfied: decorator in ./venv_jenkins/lib/python3.8/site-packages (from ipython>=4.0.0->ipywidgets>=7.0.0->ipysankeywidget) (5.1.1)
Requirement already satisfied: jedi>=0.16 in ./venv_jenkins/lib/python3.8/site-packages (from ipython>=4.0.0->ipywidgets>=7.0.0->ipysankeywidget) (0.18.1)
Requirement already satisfied: pickleshare in ./venv_jenkins/lib/python3.8/site-packages (from ipython>=4.0.0->ipywidgets>=7.0.0->ipysankeywidget) (0.7.5)
Requirement already satisfied: pygments>=2.4.0 in ./venv_jenkins/lib/python3.8/site-packages (from ipython>=4.0.0->ipywidgets>=7.0.0->ipysankeywidget) (2.11.2)
Requirement already satisfied: jupyter-core in ./venv_jenkins/lib/python3.8/site-packages (from nbformat>=4.2.0->ipywidgets>=7.0.0->ipysankeywidget) (4.9.2)
Requirement already satisfied: jsonschema!=2.5.0,>=2.4 in ./venv_jenkins/lib/python3.8/site-packages (from nbformat>=4.2.0->ipywidgets>=7.0.0->ipysankeywidget) (4.4.0)
Requirement already satisfied: notebook>=4.4.1 in ./venv_jenkins/lib/python3.8/site-packages (from widgetsnbextension~=3.6.0->ipywidgets>=7.0.0->ipysankeywidget) (6.4.10)
Requirement already satisfied: parso<0.9.0,>=0.8.0 in ./venv_jenkins/lib/python3.8/site-packages (from jedi>=0.16->ipython>=4.0.0->ipywidgets>=7.0.0->ipysankeywidget) (0.8.3)
Requirement already satisfied: importlib-resources>=1.4.0 in ./venv_jenkins/lib/python3.8/site-packages (from jsonschema!=2.5.0,>=2.4->nbformat>=4.2.0->ipywidgets>=7.0.0->ipysankeywidget) (5.6.0)
Requirement already satisfied: attrs>=17.4.0 in ./venv_jenkins/lib/python3.8/site-packages (from jsonschema!=2.5.0,>=2.4->nbformat>=4.2.0->ipywidgets>=7.0.0->ipysankeywidget) (21.4.0)
Requirement already satisfied: pyrsistent!=0.17.0,!=0.17.1,!=0.17.2,>=0.14.0 in ./venv_jenkins/lib/python3.8/site-packages (from jsonschema!=2.5.0,>=2.4->nbformat>=4.2.0->ipywidgets>=7.0.0->ipysankeywidget) (0.18.1)
Requirement already satisfied: pyzmq>=17 in ./venv_jenkins/lib/python3.8/site-packages (from jupyter-client<8.0->ipykernel>=4.5.1->ipywidgets>=7.0.0->ipysankeywidget) (22.3.0)
Requirement already satisfied: python-dateutil>=2.1 in ./venv_jenkins/lib/python3.8/site-packages (from jupyter-client<8.0->ipykernel>=4.5.1->ipywidgets>=7.0.0->ipysankeywidget) (2.8.2)
Requirement already satisfied: entrypoints in ./venv_jenkins/lib/python3.8/site-packages (from jupyter-client<8.0->ipykernel>=4.5.1->ipywidgets>=7.0.0->ipysankeywidget) (0.4)
Requirement already satisfied: nbconvert>=5 in ./venv_jenkins/lib/python3.8/site-packages (from notebook>=4.4.1->widgetsnbextension~=3.6.0->ipywidgets>=7.0.0->ipysankeywidget) (6.4.5)
Requirement already satisfied: terminado>=0.8.3 in ./venv_jenkins/lib/python3.8/site-packages (from notebook>=4.4.1->widgetsnbextension~=3.6.0->ipywidgets>=7.0.0->ipysankeywidget) (0.13.3)
Requirement already satisfied: jinja2 in ./venv_jenkins/lib/python3.8/site-packages (from notebook>=4.4.1->widgetsnbextension~=3.6.0->ipywidgets>=7.0.0->ipysankeywidget) (3.1.1)
Requirement already satisfied: argon2-cffi in ./venv_jenkins/lib/python3.8/site-packages (from notebook>=4.4.1->widgetsnbextension~=3.6.0->ipywidgets>=7.0.0->ipysankeywidget) (21.3.0)
Requirement already satisfied: Send2Trash>=1.8.0 in ./venv_jenkins/lib/python3.8/site-packages (from notebook>=4.4.1->widgetsnbextension~=3.6.0->ipywidgets>=7.0.0->ipysankeywidget) (1.8.0)
Requirement already satisfied: prometheus-client in ./venv_jenkins/lib/python3.8/site-packages (from notebook>=4.4.1->widgetsnbextension~=3.6.0->ipywidgets>=7.0.0->ipysankeywidget) (0.13.1)
Requirement already satisfied: ptyprocess>=0.5 in ./venv_jenkins/lib/python3.8/site-packages (from pexpect>4.3->ipython>=4.0.0->ipywidgets>=7.0.0->ipysankeywidget) (0.7.0)
Requirement already satisfied: wcwidth in ./venv_jenkins/lib/python3.8/site-packages (from prompt-toolkit!=3.0.0,!=3.0.1,<3.1.0,>=2.0.0->ipython>=4.0.0->ipywidgets>=7.0.0->ipysankeywidget) (0.2.5)
Requirement already satisfied: pure-eval in ./venv_jenkins/lib/python3.8/site-packages (from stack-data->ipython>=4.0.0->ipywidgets>=7.0.0->ipysankeywidget) (0.2.2)
Requirement already satisfied: executing in ./venv_jenkins/lib/python3.8/site-packages (from stack-data->ipython>=4.0.0->ipywidgets>=7.0.0->ipysankeywidget) (0.8.3)
Requirement already satisfied: asttokens in ./venv_jenkins/lib/python3.8/site-packages (from stack-data->ipython>=4.0.0->ipywidgets>=7.0.0->ipysankeywidget) (2.0.5)
Requirement already satisfied: zipp>=3.1.0 in ./venv_jenkins/lib/python3.8/site-packages (from importlib-resources>=1.4.0->jsonschema!=2.5.0,>=2.4->nbformat>=4.2.0->ipywidgets>=7.0.0->ipysankeywidget) (3.7.0)
Requirement already satisfied: pandocfilters>=1.4.1 in ./venv_jenkins/lib/python3.8/site-packages (from nbconvert>=5->notebook>=4.4.1->widgetsnbextension~=3.6.0->ipywidgets>=7.0.0->ipysankeywidget) (1.5.0)
Requirement already satisfied: bleach in ./venv_jenkins/lib/python3.8/site-packages (from nbconvert>=5->notebook>=4.4.1->widgetsnbextension~=3.6.0->ipywidgets>=7.0.0->ipysankeywidget) (4.1.0)
Requirement already satisfied: defusedxml in ./venv_jenkins/lib/python3.8/site-packages (from nbconvert>=5->notebook>=4.4.1->widgetsnbextension~=3.6.0->ipywidgets>=7.0.0->ipysankeywidget) (0.7.1)
Requirement already satisfied: mistune<2,>=0.8.1 in ./venv_jenkins/lib/python3.8/site-packages (from nbconvert>=5->notebook>=4.4.1->widgetsnbextension~=3.6.0->ipywidgets>=7.0.0->ipysankeywidget) (0.8.4)
Requirement already satisfied: nbclient<0.6.0,>=0.5.0 in ./venv_jenkins/lib/python3.8/site-packages (from nbconvert>=5->notebook>=4.4.1->widgetsnbextension~=3.6.0->ipywidgets>=7.0.0->ipysankeywidget) (0.5.13)
Requirement already satisfied: MarkupSafe>=2.0 in ./venv_jenkins/lib/python3.8/site-packages (from nbconvert>=5->notebook>=4.4.1->widgetsnbextension~=3.6.0->ipywidgets>=7.0.0->ipysankeywidget) (2.1.1)
Requirement already satisfied: beautifulsoup4 in ./venv_jenkins/lib/python3.8/site-packages (from nbconvert>=5->notebook>=4.4.1->widgetsnbextension~=3.6.0->ipywidgets>=7.0.0->ipysankeywidget) (4.10.0)
Requirement already satisfied: jupyterlab-pygments in ./venv_jenkins/lib/python3.8/site-packages (from nbconvert>=5->notebook>=4.4.1->widgetsnbextension~=3.6.0->ipywidgets>=7.0.0->ipysankeywidget) (0.1.2)
Requirement already satisfied: testpath in ./venv_jenkins/lib/python3.8/site-packages (from nbconvert>=5->notebook>=4.4.1->widgetsnbextension~=3.6.0->ipywidgets>=7.0.0->ipysankeywidget) (0.6.0)
Requirement already satisfied: six>=1.5 in ./venv_jenkins/lib/python3.8/site-packages (from python-dateutil>=2.1->jupyter-client<8.0->ipykernel>=4.5.1->ipywidgets>=7.0.0->ipysankeywidget) (1.16.0)
Requirement already satisfied: argon2-cffi-bindings in ./venv_jenkins/lib/python3.8/site-packages (from argon2-cffi->notebook>=4.4.1->widgetsnbextension~=3.6.0->ipywidgets>=7.0.0->ipysankeywidget) (21.2.0)
Requirement already satisfied: cffi>=1.0.1 in ./venv_jenkins/lib/python3.8/site-packages (from argon2-cffi-bindings->argon2-cffi->notebook>=4.4.1->widgetsnbextension~=3.6.0->ipywidgets>=7.0.0->ipysankeywidget) (1.15.0)
Requirement already satisfied: soupsieve>1.2 in ./venv_jenkins/lib/python3.8/site-packages (from beautifulsoup4->nbconvert>=5->notebook>=4.4.1->widgetsnbextension~=3.6.0->ipywidgets>=7.0.0->ipysankeywidget) (2.3.1)
Requirement already satisfied: webencodings in ./venv_jenkins/lib/python3.8/site-packages (from bleach->nbconvert>=5->notebook>=4.4.1->widgetsnbextension~=3.6.0->ipywidgets>=7.0.0->ipysankeywidget) (0.5.1)
Requirement already satisfied: packaging in ./venv_jenkins/lib/python3.8/site-packages (from bleach->nbconvert>=5->notebook>=4.4.1->widgetsnbextension~=3.6.0->ipywidgets>=7.0.0->ipysankeywidget) (21.3)
Requirement already satisfied: pycparser in ./venv_jenkins/lib/python3.8/site-packages (from cffi>=1.0.1->argon2-cffi-bindings->argon2-cffi->notebook>=4.4.1->widgetsnbextension~=3.6.0->ipywidgets>=7.0.0->ipysankeywidget) (2.21)
Requirement already satisfied: pyparsing!=3.0.5,>=2.0.2 in ./venv_jenkins/lib/python3.8/site-packages (from packaging->bleach->nbconvert>=5->notebook>=4.4.1->widgetsnbextension~=3.6.0->ipywidgets>=7.0.0->ipysankeywidget) (3.0.7)
Installing collected packages: ipysankeywidget
Successfully installed ipysankeywidget-0.4.1

real	0m1.439s
user	0m1.287s
sys	0m0.108s
+++ pip_install plotly
+++ python /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/bin/pip install --upgrade plotly
Collecting plotly
  Using cached plotly-5.6.0-py2.py3-none-any.whl (27.7 MB)
Requirement already satisfied: six in ./venv_jenkins/lib/python3.8/site-packages (from plotly) (1.16.0)
Collecting tenacity>=6.2.0
  Using cached tenacity-8.0.1-py3-none-any.whl (24 kB)
Installing collected packages: tenacity, plotly
Successfully installed plotly-5.6.0 tenacity-8.0.1

real	0m9.903s
user	0m7.948s
sys	0m1.603s
+++ pip_install pytest
+++ python /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/bin/pip install --upgrade pytest
Collecting pytest
  Using cached pytest-7.1.1-py3-none-any.whl (297 kB)
Collecting iniconfig
  Using cached iniconfig-1.1.1-py2.py3-none-any.whl (5.0 kB)
Collecting py>=1.8.2
  Using cached py-1.11.0-py2.py3-none-any.whl (98 kB)
Requirement already satisfied: attrs>=19.2.0 in ./venv_jenkins/lib/python3.8/site-packages (from pytest) (21.4.0)
Requirement already satisfied: packaging in ./venv_jenkins/lib/python3.8/site-packages (from pytest) (21.3)
Collecting tomli>=1.0.0
  Using cached tomli-2.0.1-py3-none-any.whl (12 kB)
Collecting pluggy<2.0,>=0.12
  Using cached pluggy-1.0.0-py2.py3-none-any.whl (13 kB)
Requirement already satisfied: pyparsing!=3.0.5,>=2.0.2 in ./venv_jenkins/lib/python3.8/site-packages (from packaging->pytest) (3.0.7)
Installing collected packages: iniconfig, tomli, py, pluggy, pytest
Successfully installed iniconfig-1.1.1 pluggy-1.0.0 py-1.11.0 pytest-7.1.1 tomli-2.0.1

real	0m1.882s
user	0m1.546s
sys	0m0.109s
++++ which coverage
+++ export COVERAGE=/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/bin/coverage
+++ COVERAGE=/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/bin/coverage
++ pip_install numpy
++ python /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/bin/pip install --upgrade numpy
Requirement already satisfied: numpy in ./venv_jenkins/lib/python3.8/site-packages (1.22.3)

real	0m1.592s
user	0m1.451s
sys	0m0.085s
++ pip_install scipy
++ python /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/bin/pip install --upgrade scipy
Collecting scipy
  Using cached scipy-1.8.0-cp38-cp38-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (41.6 MB)
Requirement already satisfied: numpy<1.25.0,>=1.17.3 in ./venv_jenkins/lib/python3.8/site-packages (from scipy) (1.22.3)
Installing collected packages: scipy
Successfully installed scipy-1.8.0

real	0m5.190s
user	0m4.446s
sys	0m0.585s
++ pip_install pint
++ python /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/bin/pip install --upgrade pint
Collecting pint
  Using cached Pint-0.18-py2.py3-none-any.whl (209 kB)
Requirement already satisfied: packaging in ./venv_jenkins/lib/python3.8/site-packages (from pint) (21.3)
Requirement already satisfied: pyparsing!=3.0.5,>=2.0.2 in ./venv_jenkins/lib/python3.8/site-packages (from packaging->pint) (3.0.7)
Installing collected packages: pint
Successfully installed pint-0.18

real	0m1.705s
user	0m1.225s
sys	0m0.092s
++ git clone --depth 1 https://github.com/convexengineering/gpkit.git /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/gpkit
Cloning into '/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/gpkit'...
++ python /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/bin/pip install -v --no-cache-dir --no-deps -e /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/gpkit
Using pip 22.0.4 from /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages/pip (python 3.8)
Obtaining file:///jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/gpkit
  Preparing metadata (setup.py): started
  Running command python setup.py egg_info
  running egg_info
  creating /tmp/pip-pip-egg-info-9tdn5jie/gpkit.egg-info
  writing /tmp/pip-pip-egg-info-9tdn5jie/gpkit.egg-info/PKG-INFO
  writing dependency_links to /tmp/pip-pip-egg-info-9tdn5jie/gpkit.egg-info/dependency_links.txt
  writing requirements to /tmp/pip-pip-egg-info-9tdn5jie/gpkit.egg-info/requires.txt
  writing top-level names to /tmp/pip-pip-egg-info-9tdn5jie/gpkit.egg-info/top_level.txt
  writing manifest file '/tmp/pip-pip-egg-info-9tdn5jie/gpkit.egg-info/SOURCES.txt'
  reading manifest file '/tmp/pip-pip-egg-info-9tdn5jie/gpkit.egg-info/SOURCES.txt'
  writing manifest file '/tmp/pip-pip-egg-info-9tdn5jie/gpkit.egg-info/SOURCES.txt'
  Preparing metadata (setup.py): finished with status 'done'
Installing collected packages: gpkit
  Running setup.py develop for gpkit
    Running command python setup.py develop
    running develop
    running egg_info
    creating gpkit.egg-info
    writing gpkit.egg-info/PKG-INFO
    writing dependency_links to gpkit.egg-info/dependency_links.txt
    writing requirements to gpkit.egg-info/requires.txt
    writing top-level names to gpkit.egg-info/top_level.txt
    writing manifest file 'gpkit.egg-info/SOURCES.txt'
    reading manifest file 'gpkit.egg-info/SOURCES.txt'
    writing manifest file 'gpkit.egg-info/SOURCES.txt'
    running build_ext
    Creating /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages/gpkit.egg-link (link to .)
    Adding gpkit 1.1.1 to easy-install.pth file

    Installed /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/gpkit
Successfully installed gpkit-1.1.1
++ source /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/JenkinsGPkit/print_versions.sh
+++ python -c 'import scipy; print(scipy.__version__)'
1.8.0
+++ python -c 'import numpy; print(numpy.__version__)'
1.22.3
+++ python -c 'import pint; print(pint.__version__)'
0.18
+++ python -c 'import gpkit; print(gpkit.settings)'
/bin/sh: 1: mskexpopt: not found
No filename given.
Usage:
     mskexpopt FILENAME [-primal] [-dual] [-p parameterfile]
Return code: 1052
Description: MSK_RES_ERR_FILE_OPEN [An error occurred while opening a file.]
/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/gpkit/gpkit/small_scripts.py:71: SyntaxWarning: "is" with a literal. Did you mean "=="?
  if sweep is "sweep" and (isinstance(value, Iterable) or  # pylint: disable=literal-comparison
/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/gpkit/gpkit/nomials/math.py:586: SyntaxWarning: "is" with a literal. Did you mean "=="?
  if posy is 0:  # pylint: disable=literal-comparison
/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/gpkit/gpkit/nomials/math.py:590: SyntaxWarning: "is" with a literal. Did you mean "=="?
  if negy is 0:  # pylint: disable=literal-comparison
/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/gpkit/gpkit/breakdowns.py:390: SyntaxWarning: "is" with a literal. Did you mean "=="?
  subhmap.units = None if units is 1 else units
.................................................................................................................................................................................................................
----------------------------------------------------------------------
Ran 209 tests in 6.763s

OK
Found no installed solvers, beginning a build.
# Building GPkit version 1.1
# Moving to the directory from which GPkit was imported.

Attempting to find and build solvers:

# Looking for `mosek_cli`
#   (A "success" is if mskexpopt complains that
#    we haven't specified a file for it to open.)
#     Calling 'mskexpopt'
##
### CALL BEGINS
### CALL ENDS
##
# Looks like `mskexpopt` was not found in the default PATH,
#  so let's try locating that binary ourselves.
#   Adding /home/jenkins/mosek/8/tools/platform/linux64x86/bin to the PATH
#     Calling 'mskexpopt'
##
### CALL BEGINS
### CALL ENDS
##

Found mosek_cli in /home/jenkins/mosek/8/tools/platform/linux64x86/bin

# Looking for `mosek_conif`
#   Trying to import mosek...
# Did not find
# mosek_conif

# Looking for `cvxopt`
#   Trying to import cvxopt...

Found cvxopt in the default PYTHONPATH
Replaced found solvers (['mosek_cli', 'cvxopt']) with environment var GPKITSOLVERS (cvxopt)

Found the following solvers: cvxopt
#     Replacing directory env

GPkit is now installed with solver(s) ['cvxopt']
To incorporate new solvers at a later date, run `gpkit.build()`.

If any tests didn't pass, please post the output above
(starting from "Found no installed solvers, beginning a build.")
to gpkit@mit.edu or https://github.com/convexengineering/gpkit/issues/new
so we can prevent others from having these errors.

The same goes for any other bugs you encounter with GPkit:
send 'em our way, along with any interesting models, speculative features,
comments, discussions, or clarifications you feel like sharing.

Finally, we hope you find our documentation (https://gpkit.readthedocs.io/)
and engineering-design models (https://github.com/convexengineering/gplibrary/)
to be useful resources for your own applications.

Enjoy!

{'installed_solvers': ['cvxopt'], 'mosek_bin_dir': '/home/jenkins/mosek/8/tools/platform/linux64x86/bin', 'default_solver': 'cvxopt', 'just built!': True}
++ export MSK_IPAR_NUM_THREADS=2
++ MSK_IPAR_NUM_THREADS=2
++ export MKL_NUM_THREADS=2
++ MKL_NUM_THREADS=2
++ export NUMEXPR_NUM_THREADS=2
++ NUMEXPR_NUM_THREADS=2
++ export OPENBLAS_NUM_THREADS=2
++ OPENBLAS_NUM_THREADS=2
++ export OMP_NUM_THREADS=2
++ OMP_NUM_THREADS=2
++ python -c 'from gpkit.tests.test_repo import test_repos; test_repos(xmloutput=True, ingpkitmodels=True)'
Obtaining file:///jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt
  Preparing metadata (setup.py): started
  Preparing metadata (setup.py): finished with status 'done'
Installing collected packages: gpkitmodels
  Running setup.py develop for gpkitmodels
Successfully installed gpkitmodels
Cloning into 'SPaircraft'...
Collecting git+https://github.com/hoburg/turbofan.git
  Cloning https://github.com/hoburg/turbofan.git to /tmp/pip-req-build-8mjd50bd
  Running command git clone --filter=blob:none --quiet https://github.com/hoburg/turbofan.git /tmp/pip-req-build-8mjd50bd
  Resolved https://github.com/hoburg/turbofan.git to commit 4ebac5743e608d110117dc34537add84f63ccd19
  Preparing metadata (setup.py): started
  Preparing metadata (setup.py): finished with status 'done'
Collecting future
  Using cached future-0.18.2-py3-none-any.whl
Requirement already satisfied: numpy in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from turbofan==0.0.0.0) (1.22.3)
Requirement already satisfied: pint in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from turbofan==0.0.0.0) (0.18)
Requirement already satisfied: scipy in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from turbofan==0.0.0.0) (1.8.0)
Requirement already satisfied: packaging in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pint->turbofan==0.0.0.0) (21.3)
Requirement already satisfied: pyparsing!=3.0.5,>=2.0.2 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from packaging->pint->turbofan==0.0.0.0) (3.0.7)
Building wheels for collected packages: turbofan
  Building wheel for turbofan (setup.py): started
  Building wheel for turbofan (setup.py): finished with status 'done'
  Created wheel for turbofan: filename=turbofan-0.0.0.0-py3-none-any.whl size=43844 sha256=2287ddda6bbe563b829b0d56455b92b1efdd3a0b75ca1f50d03c4898162094f3
  Stored in directory: /tmp/pip-ephem-wheel-cache-jzfyyitz/wheels/23/19/07/0e43080b03e50f09c00ce29efb780405dc31884d8e66d4da49
Successfully built turbofan
Installing collected packages: future, turbofan
Successfully installed future-0.18.2 turbofan-0.0.0.0
Processing /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/SPaircraft
  Preparing metadata (setup.py): started
  Preparing metadata (setup.py): finished with status 'done'
Requirement already satisfied: future in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from SPaircraft==0.0.0) (0.18.2)
Requirement already satisfied: gpkit in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/gpkit (from SPaircraft==0.0.0) (1.1.1)
Requirement already satisfied: turbofan in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from SPaircraft==0.0.0) (0.0.0.0)
Requirement already satisfied: adce in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpkit->SPaircraft==0.0.0) (1.3.3.2)
Requirement already satisfied: cvxopt>=1.1.8 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpkit->SPaircraft==0.0.0) (1.3.0)
Requirement already satisfied: matplotlib in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpkit->SPaircraft==0.0.0) (3.5.1)
Requirement already satisfied: numpy>=1.16.4 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpkit->SPaircraft==0.0.0) (1.22.3)
Requirement already satisfied: pint>=0.8.1 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpkit->SPaircraft==0.0.0) (0.18)
Requirement already satisfied: plotly in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpkit->SPaircraft==0.0.0) (5.6.0)
Requirement already satisfied: scipy in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpkit->SPaircraft==0.0.0) (1.8.0)
Requirement already satisfied: packaging in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pint>=0.8.1->gpkit->SPaircraft==0.0.0) (21.3)
Requirement already satisfied: fonttools>=4.22.0 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from matplotlib->gpkit->SPaircraft==0.0.0) (4.31.2)
Requirement already satisfied: kiwisolver>=1.0.1 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from matplotlib->gpkit->SPaircraft==0.0.0) (1.4.2)
Requirement already satisfied: cycler>=0.10 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from matplotlib->gpkit->SPaircraft==0.0.0) (0.11.0)
Requirement already satisfied: pillow>=6.2.0 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from matplotlib->gpkit->SPaircraft==0.0.0) (9.0.1)
Requirement already satisfied: pyparsing>=2.2.1 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from matplotlib->gpkit->SPaircraft==0.0.0) (3.0.7)
Requirement already satisfied: python-dateutil>=2.7 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from matplotlib->gpkit->SPaircraft==0.0.0) (2.8.2)
Requirement already satisfied: six in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from plotly->gpkit->SPaircraft==0.0.0) (1.16.0)
Requirement already satisfied: tenacity>=6.2.0 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from plotly->gpkit->SPaircraft==0.0.0) (8.0.1)
Building wheels for collected packages: SPaircraft
  Building wheel for SPaircraft (setup.py): started
  Building wheel for SPaircraft (setup.py): finished with status 'done'
  Created wheel for SPaircraft: filename=SPaircraft-0.0.0-py3-none-any.whl size=1837 sha256=20a34c3e7e3cdff3117ac5b93fd83f4bbdacd19909f820f087bf614b85941092
  Stored in directory: /tmp/pip-ephem-wheel-cache-otv9ldpt/wheels/1a/4b/7d/4ade80e650a6b5ac48898ae6c183a787d01e842c758f1c488b
Successfully built SPaircraft
Installing collected packages: SPaircraft
Successfully installed SPaircraft-0.0.0
adding test for 'SPaircraft.py'

Running tests...
----------------------------------------------------------------------
.
----------------------------------------------------------------------
Ran 1 test in 0.001s

OK

Generating XML reports...
Cloning into 'robust'...
Processing /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/robust
  Preparing metadata (setup.py): started
  Preparing metadata (setup.py): finished with status 'done'
Requirement already satisfied: gpkit in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/gpkit (from robust==0.0.0) (1.1.1)
ERROR: Could not find a version that satisfies the requirement gplibrary (from robust) (from versions: none)
ERROR: No matching distribution found for gplibrary
Processing /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/robust
  Preparing metadata (setup.py): started
  Preparing metadata (setup.py): finished with status 'done'
Requirement already satisfied: gpkit in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/gpkit (from robust==0.0.0) (1.1.1)
ERROR: Could not find a version that satisfies the requirement gplibrary (from robust) (from versions: none)
ERROR: No matching distribution found for gplibrary
Processing /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/robust
  Preparing metadata (setup.py): started
  Preparing metadata (setup.py): finished with status 'done'
Requirement already satisfied: gpkit in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/gpkit (from robust==0.0.0) (1.1.1)
ERROR: Could not find a version that satisfies the requirement gplibrary (from robust) (from versions: none)
ERROR: No matching distribution found for gplibrary
Processing /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/robust
  Preparing metadata (setup.py): started
  Preparing metadata (setup.py): finished with status 'done'
Requirement already satisfied: gpkit in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/gpkit (from robust==0.0.0) (1.1.1)
ERROR: Could not find a version that satisfies the requirement gplibrary (from robust) (from versions: none)
ERROR: No matching distribution found for gplibrary
Processing /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/robust
  Preparing metadata (setup.py): started
  Preparing metadata (setup.py): finished with status 'done'
Requirement already satisfied: gpkit in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/gpkit (from robust==0.0.0) (1.1.1)
ERROR: Could not find a version that satisfies the requirement gplibrary (from robust) (from versions: none)
ERROR: No matching distribution found for gplibrary
adding test for 'run_tests.py'

Running tests...
----------------------------------------------------------------------

Running tests...
----------------------------------------------------------------------
.F..........FF..F....
======================================================================
FAIL [0.025s]: test_correlated_monomials (run_tests.TestEquivalentPosynomials_cvxopt)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/robust/robust/testing/t_equivalent_posynomials.py", line 99, in test_correlated_monomials
    self.assertSetEqual(set(actual_posynomials), set(theoretical_posynomials))
AssertionError: Items in the first set but not the second:
gpkit.Posynomial(x_2^0.79·x_15^1.1·u_1^1.6·x_13^1.8·x_14^2.7·x_3^3.8·x_0^3.8·x_9^3.8·x_6^4.3·x_8^4.4/x_16^2.7/x_10^2.6/x_5^2/x_11^1.8/x_1^1.6/x_12^1.5/x_4^0.89/x_7^0.4 + x_10^1·x_7^1.3·x_4^2.2·x_8^2.7·x_3^2.7·x_9^2.8·x_13^3.2·x_1^3.2·x_16^3.6·x_11^4.4/x_6^3.5/x_12^2.3/x_0^2.1/x_2^1.9/x_15^0.55/x_5^0.55/x_14^0.55 + x_8^0.12·x_11^1.2·x_3^1.2·x_2^1.4·x_10^1.9·x_9^2.9·x_13^3.2·x_15^3.5·x_14^3.5·u_2^3.8·x_6^4.9/x_1^4/x_5^3.5/x_7^3.2/u_1^2.7/x_0^2.7/x_4^2.2/x_16^0.96/x_12^0.7 + x_16^0.041·x_7^0.053·x_8^0.17·x_0^0.66·x_13^0.95·x_1^1.7·x_10^1.9·x_14^3·x_5^3.2·x_2^4·u_2^4.1·x_6^4.7·x_4^4.9/x_12^3.9/x_9^3/x_15^2.9/x_3^1.7/x_11^1.2 + x_10^0.38·x_11^0.83·x_9^0.99·x_14^1.5·x_4^1.7·x_0^2.2·x_2^2.7·u_1^3.2·x_3^4.3/x_8^4.9/x_16^4.4/x_15^4.2/x_1^4.2/x_6^3.4/x_5^3.1/x_12^1.4/x_7^1.3/x_13^0.14 + x_16^1.3·x_1^1.8·x_5^2.4·x_2^2.5·x_3^3.3·x_6^3.5·x_9^3.7·x_0^3.8·x_10^4.4·x_12^4.6/x_4^5/x_8^3.6/x_14^3.2/x_13^2.5/x_7^2.2/x_11^2.1/x_15^1.9)
Items in the second set but not the first:
gpkit.Posynomial(x_2^0.79·x_15^1.1·u_1^1.6·x_13^1.8·x_14^2.7·x_3^3.8·x_0^3.8·x_9^3.8·x_6^4.3·x_8^4.4/x_16^2.7/x_10^2.6/x_5^2/x_11^1.8/x_1^1.6/x_12^1.5/x_4^0.89/x_7^0.4 + x_0^-0.34691087001517573·x_1^-1.596175826528985·x_2^3.65846383355891·x_3^3.4866186757433137·x_4^4.593660310306664·x_5^2.3819632544467666·x_6^2.4039845867892806·x_7^-0.011439674428385338·x_8^4.800180635242397·x_9^2.081528710131·x_10^0.7971020198761014·x_11^2.8602684375498573·x_12^4.7823443066884845·x_13^3.0314279799430643·x_14^-0.6794848305469356·x_15^-4.530176525736751·x_16^-1.3217286180747423·u_0^0.0·u_1^1.5852240218933156·u_2^0.0 + x_0^0.6561481149539308·x_1^1.7062327321064554·x_2^4.000923998795773·x_3^-1.7209656803664175·x_4^4.893006835419806·x_5^3.2047605948434725·x_6^4.683312524820284·x_7^0.052969653525857474·x_8^0.1718515472488491·x_9^-3.0478610742721015·x_10^1.8758503088998797·x_11^-1.1914866378937692·x_12^-3.915573193458821·x_13^0.9525827831639084·x_14^3.0487343870011046·x_15^-2.9386312431416837·x_16^0.04107974993340058·u_0^0.0·u_1^0.0·u_2^4.146146406284406 + x_0^2.222322636582195·x_1^-4.151179337889697·x_2^2.6625114327389454·x_3^4.301844036025074·x_4^1.6755501621036721·x_5^-3.1289086531410994·x_6^-3.416216597237746·x_7^-1.2744600484922897·x_8^-4.922226152637844·x_9^0.9860051306545312·x_10^0.37890293043053713·x_11^0.833698645841813·x_12^-1.3943188309090306·x_13^-0.13632284005082695·x_14^1.495041987978741·x_15^-4.165357924649466·x_16^-4.356458523772471·u_0^0.0·u_1^3.2039045916850233·u_2^0.0 + x_0^-2.6955223449005694·x_1^-3.954734182499664·x_2^1.3550201508714217·x_3^1.2006327625375022·x_4^-2.2448591326454412·x_5^-3.5000099029157816·x_6^4.865576345437763·x_7^-3.207489771645321·x_8^0.1189466202228946·x_9^2.8894176709053765·x_10^1.9487044788222416·x_11^1.1710246103520427·x_12^-0.6996868016937521·x_13^3.175572673602929·x_14^3.5466567565251292·x_15^3.4756843615046833·x_16^-0.9620194455671651·u_0^0.0·u_1^-2.7167643788249487·u_2^3.794906602751266 + x_0^-4.715673425000851·x_1^2.6984261703777186·x_2^-0.39166302099741657·x_3^-1.8223421754862956·x_4^3.17281499155391·x_5^-4.714417100920625·x_6^4.26569936362797·x_7^-0.11688628038212912·x_8^4.977575846804875·x_9^4.269468113225285·x_10^-1.1547990005015416·x_11^1.2746664511327808·x_12^1.7516233713608322·x_13^4.593753208606424·x_14^-1.055206314441075·x_15^-2.923590300273876·x_16^-3.390140934778291·u_0^0.0·u_1^0.0·u_2^-4.099777242335704)

======================================================================
FAIL [0.334s]: test_conservativeness (run_tests.TestPrimitives_cvxopt)
Testing conservativeness of solution methods
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/robust/robust/testing/t_primitives.py", line 66, in test_conservativeness
    self.assertTrue(sm['cost'] <= sem['cost'] <= smm['cost'] <= sbm['cost'])
AssertionError: False is not true

======================================================================
FAIL [0.057s]: test_methods (run_tests.TestPrimitives_cvxopt)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/robust/robust/testing/t_primitives.py", line 117, in test_methods
    self.assertAlmostEqual(sol(vk), prev_sol(vk), places=5)
AssertionError: <Quantity(0.636130631, 'dimensionless')> != <Quantity(0.631384596, 'dimensionless')> within 5 places (<Quantity(0.0047460356, 'dimensionless')> difference)

======================================================================
FAIL [0.014s]: test_bad_relations (run_tests.TestTwoTermApproximation_cvxopt)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/robust/robust/testing/t_two_term_approximation.py", line 202, in test_bad_relations
    self.assertEqual(actual_relations_mons, relations_mons)
AssertionError: {gpkit.Monomial(9.72·u_3^0.17·u_0^3.9·u_1^4.5/u_7^2.9/u_4[1218 chars]: 4}} != {gpkit.Monomial(0.295·x_0^4.787153908548195·u_0^-2.783031[3696 chars]: 4}}
Diff is 6950 characters long. Set self.maxDiff to None to see it.

----------------------------------------------------------------------
Ran 21 tests in 11.548s

FAILED (failures=4)

Generating XML reports...
.
----------------------------------------------------------------------
Ran 1 test in 12.636s

OK

Generating XML reports...
Cloning into 'shopping'...
adding test for 'test.py'

Running tests...
----------------------------------------------------------------------
..Using solver 'cvxopt'
 for 25 free variables
  in 40 posynomial inequalities.
Solving took 0.0436 seconds.
Using solver 'cvxopt'
 for 25 free variables
  in 40 posynomial inequalities.
Solving took 0.0243 seconds.

----------------------------------------------------------------------
Ran 2 tests in 0.122s

OK

Generating XML reports...
Cloning into 'gassolar'...
Requirement already satisfied: pandas in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (1.4.1)
Requirement already satisfied: pytz>=2020.1 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pandas) (2022.1)
Requirement already satisfied: numpy>=1.18.5 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pandas) (1.22.3)
Requirement already satisfied: python-dateutil>=2.8.1 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pandas) (2.8.2)
Requirement already satisfied: six>=1.5 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from python-dateutil>=2.8.1->pandas) (1.16.0)
Collecting git+https://github.com/hoburg/gpfit.git
  Cloning https://github.com/hoburg/gpfit.git to /tmp/pip-req-build-42xp2qwf
  Running command git clone --filter=blob:none --quiet https://github.com/hoburg/gpfit.git /tmp/pip-req-build-42xp2qwf
  Resolved https://github.com/hoburg/gpfit.git to commit 3c8025f12ba5360fdeb71c270e55d4c93e1676fd
  Preparing metadata (setup.py): started
  Preparing metadata (setup.py): finished with status 'done'
Requirement already satisfied: gpkit in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/gpkit (from gpfit==0.2.0) (1.1.1)
Requirement already satisfied: matplotlib>=3.3.2 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpfit==0.2.0) (3.5.1)
Requirement already satisfied: numpy in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpfit==0.2.0) (1.22.3)
Collecting pytest-mpl>=0.13
  Using cached pytest_mpl-0.14.0-py3-none-any.whl (27 kB)
Requirement already satisfied: pytest>=6.2.5 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpfit==0.2.0) (7.1.1)
Requirement already satisfied: scipy in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpfit==0.2.0) (1.8.0)
Requirement already satisfied: fonttools>=4.22.0 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from matplotlib>=3.3.2->gpfit==0.2.0) (4.31.2)
Requirement already satisfied: kiwisolver>=1.0.1 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from matplotlib>=3.3.2->gpfit==0.2.0) (1.4.2)
Requirement already satisfied: cycler>=0.10 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from matplotlib>=3.3.2->gpfit==0.2.0) (0.11.0)
Requirement already satisfied: pillow>=6.2.0 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from matplotlib>=3.3.2->gpfit==0.2.0) (9.0.1)
Requirement already satisfied: pyparsing>=2.2.1 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from matplotlib>=3.3.2->gpfit==0.2.0) (3.0.7)
Requirement already satisfied: python-dateutil>=2.7 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from matplotlib>=3.3.2->gpfit==0.2.0) (2.8.2)
Requirement already satisfied: packaging>=20.0 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from matplotlib>=3.3.2->gpfit==0.2.0) (21.3)
Requirement already satisfied: iniconfig in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pytest>=6.2.5->gpfit==0.2.0) (1.1.1)
Requirement already satisfied: py>=1.8.2 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pytest>=6.2.5->gpfit==0.2.0) (1.11.0)
Requirement already satisfied: attrs>=19.2.0 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pytest>=6.2.5->gpfit==0.2.0) (21.4.0)
Requirement already satisfied: tomli>=1.0.0 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pytest>=6.2.5->gpfit==0.2.0) (2.0.1)
Requirement already satisfied: pluggy<2.0,>=0.12 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pytest>=6.2.5->gpfit==0.2.0) (1.0.0)
Requirement already satisfied: Jinja2 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pytest-mpl>=0.13->gpfit==0.2.0) (3.1.1)
Requirement already satisfied: adce in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpkit->gpfit==0.2.0) (1.3.3.2)
Requirement already satisfied: cvxopt>=1.1.8 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpkit->gpfit==0.2.0) (1.3.0)
Requirement already satisfied: pint>=0.8.1 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpkit->gpfit==0.2.0) (0.18)
Requirement already satisfied: plotly in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpkit->gpfit==0.2.0) (5.6.0)
Requirement already satisfied: six>=1.5 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from python-dateutil>=2.7->matplotlib>=3.3.2->gpfit==0.2.0) (1.16.0)
Requirement already satisfied: MarkupSafe>=2.0 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from Jinja2->pytest-mpl>=0.13->gpfit==0.2.0) (2.1.1)
Requirement already satisfied: tenacity>=6.2.0 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from plotly->gpkit->gpfit==0.2.0) (8.0.1)
Building wheels for collected packages: gpfit
  Building wheel for gpfit (setup.py): started
  Building wheel for gpfit (setup.py): finished with status 'done'
  Created wheel for gpfit: filename=gpfit-0.2.0-py3-none-any.whl size=493910 sha256=17d3ecdc4a8e409d326bfb2c95e019c6bb0c79172191b151cf40dffc785935ed
  Stored in directory: /tmp/pip-ephem-wheel-cache-u5bqfp52/wheels/af/cf/b2/2ac87fb831d125183f0d1ae3fcdb4499306dd5219d04dd6687
Successfully built gpfit
Installing collected packages: pytest-mpl, gpfit
Successfully installed gpfit-0.2.0 pytest-mpl-0.14.0
Processing /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/gassolar
  Preparing metadata (setup.py): started
  Preparing metadata (setup.py): finished with status 'done'
Requirement already satisfied: gpfit in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gassolar==0.0.0.0) (0.2.0)
Requirement already satisfied: gpkit in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/gpkit (from gassolar==0.0.0.0) (1.1.1)
Requirement already satisfied: numpy in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gassolar==0.0.0.0) (1.22.3)
Requirement already satisfied: pandas in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gassolar==0.0.0.0) (1.4.1)
Requirement already satisfied: scipy in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gassolar==0.0.0.0) (1.8.0)
Requirement already satisfied: pytest-mpl>=0.13 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpfit->gassolar==0.0.0.0) (0.14.0)
Requirement already satisfied: pytest>=6.2.5 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpfit->gassolar==0.0.0.0) (7.1.1)
Requirement already satisfied: matplotlib>=3.3.2 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpfit->gassolar==0.0.0.0) (3.5.1)
Requirement already satisfied: adce in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpkit->gassolar==0.0.0.0) (1.3.3.2)
Requirement already satisfied: cvxopt>=1.1.8 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpkit->gassolar==0.0.0.0) (1.3.0)
Requirement already satisfied: pint>=0.8.1 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpkit->gassolar==0.0.0.0) (0.18)
Requirement already satisfied: plotly in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpkit->gassolar==0.0.0.0) (5.6.0)
Requirement already satisfied: pytz>=2020.1 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pandas->gassolar==0.0.0.0) (2022.1)
Requirement already satisfied: python-dateutil>=2.8.1 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pandas->gassolar==0.0.0.0) (2.8.2)
Requirement already satisfied: fonttools>=4.22.0 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from matplotlib>=3.3.2->gpfit->gassolar==0.0.0.0) (4.31.2)
Requirement already satisfied: kiwisolver>=1.0.1 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from matplotlib>=3.3.2->gpfit->gassolar==0.0.0.0) (1.4.2)
Requirement already satisfied: cycler>=0.10 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from matplotlib>=3.3.2->gpfit->gassolar==0.0.0.0) (0.11.0)
Requirement already satisfied: pillow>=6.2.0 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from matplotlib>=3.3.2->gpfit->gassolar==0.0.0.0) (9.0.1)
Requirement already satisfied: pyparsing>=2.2.1 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from matplotlib>=3.3.2->gpfit->gassolar==0.0.0.0) (3.0.7)
Requirement already satisfied: packaging>=20.0 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from matplotlib>=3.3.2->gpfit->gassolar==0.0.0.0) (21.3)
Requirement already satisfied: iniconfig in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pytest>=6.2.5->gpfit->gassolar==0.0.0.0) (1.1.1)
Requirement already satisfied: py>=1.8.2 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pytest>=6.2.5->gpfit->gassolar==0.0.0.0) (1.11.0)
Requirement already satisfied: attrs>=19.2.0 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pytest>=6.2.5->gpfit->gassolar==0.0.0.0) (21.4.0)
Requirement already satisfied: tomli>=1.0.0 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pytest>=6.2.5->gpfit->gassolar==0.0.0.0) (2.0.1)
Requirement already satisfied: pluggy<2.0,>=0.12 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pytest>=6.2.5->gpfit->gassolar==0.0.0.0) (1.0.0)
Requirement already satisfied: Jinja2 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pytest-mpl>=0.13->gpfit->gassolar==0.0.0.0) (3.1.1)
Requirement already satisfied: six>=1.5 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from python-dateutil>=2.8.1->pandas->gassolar==0.0.0.0) (1.16.0)
Requirement already satisfied: tenacity>=6.2.0 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from plotly->gpkit->gassolar==0.0.0.0) (8.0.1)
Requirement already satisfied: MarkupSafe>=2.0 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from Jinja2->pytest-mpl>=0.13->gpfit->gassolar==0.0.0.0) (2.1.1)
Building wheels for collected packages: gassolar
  Building wheel for gassolar (setup.py): started
  Building wheel for gassolar (setup.py): finished with status 'done'
  Created wheel for gassolar: filename=gassolar-0.0.0.0-py3-none-any.whl size=4876521 sha256=3596b541b232b1d04d736e107659f65a9bfd4e1dfe9d66524081064c15143bba
  Stored in directory: /tmp/pip-ephem-wheel-cache-_wmzyfj1/wheels/ab/b5/c4/c9032a59bf16cf73420fedb6e59da7b52414ec01a494e32f99
Successfully built gassolar
Installing collected packages: gassolar
Successfully installed gassolar-0.0.0.0
adding test for 'gassolar/gas/gas.py'
adding test for 'gassolar/solar/solar.py'

Running tests...
----------------------------------------------------------------------
.
----------------------------------------------------------------------
Ran 1 test in 0.001s

OK

Generating XML reports...
Cloning into 'jho'...
Requirement already satisfied: pandas in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (1.4.1)
Requirement already satisfied: pytz>=2020.1 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pandas) (2022.1)
Requirement already satisfied: numpy>=1.18.5 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pandas) (1.22.3)
Requirement already satisfied: python-dateutil>=2.8.1 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pandas) (2.8.2)
Requirement already satisfied: six>=1.5 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from python-dateutil>=2.8.1->pandas) (1.16.0)
Collecting git+https://github.com/hoburg/gpfit.git
  Cloning https://github.com/hoburg/gpfit.git to /tmp/pip-req-build-56jts50f
  Running command git clone --filter=blob:none --quiet https://github.com/hoburg/gpfit.git /tmp/pip-req-build-56jts50f
  Resolved https://github.com/hoburg/gpfit.git to commit 3c8025f12ba5360fdeb71c270e55d4c93e1676fd
  Preparing metadata (setup.py): started
  Preparing metadata (setup.py): finished with status 'done'
Requirement already satisfied: gpkit in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/gpkit (from gpfit==0.2.0) (1.1.1)
Requirement already satisfied: matplotlib>=3.3.2 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpfit==0.2.0) (3.5.1)
Requirement already satisfied: numpy in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpfit==0.2.0) (1.22.3)
Requirement already satisfied: pytest-mpl>=0.13 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpfit==0.2.0) (0.14.0)
Requirement already satisfied: pytest>=6.2.5 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpfit==0.2.0) (7.1.1)
Requirement already satisfied: scipy in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpfit==0.2.0) (1.8.0)
Requirement already satisfied: fonttools>=4.22.0 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from matplotlib>=3.3.2->gpfit==0.2.0) (4.31.2)
Requirement already satisfied: kiwisolver>=1.0.1 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from matplotlib>=3.3.2->gpfit==0.2.0) (1.4.2)
Requirement already satisfied: cycler>=0.10 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from matplotlib>=3.3.2->gpfit==0.2.0) (0.11.0)
Requirement already satisfied: pillow>=6.2.0 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from matplotlib>=3.3.2->gpfit==0.2.0) (9.0.1)
Requirement already satisfied: pyparsing>=2.2.1 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from matplotlib>=3.3.2->gpfit==0.2.0) (3.0.7)
Requirement already satisfied: python-dateutil>=2.7 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from matplotlib>=3.3.2->gpfit==0.2.0) (2.8.2)
Requirement already satisfied: packaging>=20.0 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from matplotlib>=3.3.2->gpfit==0.2.0) (21.3)
Requirement already satisfied: iniconfig in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pytest>=6.2.5->gpfit==0.2.0) (1.1.1)
Requirement already satisfied: py>=1.8.2 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pytest>=6.2.5->gpfit==0.2.0) (1.11.0)
Requirement already satisfied: attrs>=19.2.0 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pytest>=6.2.5->gpfit==0.2.0) (21.4.0)
Requirement already satisfied: tomli>=1.0.0 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pytest>=6.2.5->gpfit==0.2.0) (2.0.1)
Requirement already satisfied: pluggy<2.0,>=0.12 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pytest>=6.2.5->gpfit==0.2.0) (1.0.0)
Requirement already satisfied: Jinja2 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pytest-mpl>=0.13->gpfit==0.2.0) (3.1.1)
Requirement already satisfied: adce in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpkit->gpfit==0.2.0) (1.3.3.2)
Requirement already satisfied: cvxopt>=1.1.8 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpkit->gpfit==0.2.0) (1.3.0)
Requirement already satisfied: pint>=0.8.1 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpkit->gpfit==0.2.0) (0.18)
Requirement already satisfied: plotly in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpkit->gpfit==0.2.0) (5.6.0)
Requirement already satisfied: six>=1.5 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from python-dateutil>=2.7->matplotlib>=3.3.2->gpfit==0.2.0) (1.16.0)
Requirement already satisfied: MarkupSafe>=2.0 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from Jinja2->pytest-mpl>=0.13->gpfit==0.2.0) (2.1.1)
Requirement already satisfied: tenacity>=6.2.0 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from plotly->gpkit->gpfit==0.2.0) (8.0.1)
adding test for 'model/jho.py'
adding test for 'model/print_perf.py'

Running tests...
----------------------------------------------------------------------
.
----------------------------------------------------------------------
Ran 1 test in 0.001s

OK

Generating XML reports...
Cloning into 'turbofan'...
Processing /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/turbofan
  Preparing metadata (setup.py): started
  Preparing metadata (setup.py): finished with status 'done'
Requirement already satisfied: future in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from turbofan==0.0.0.0) (0.18.2)
Requirement already satisfied: numpy in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from turbofan==0.0.0.0) (1.22.3)
Requirement already satisfied: pint in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from turbofan==0.0.0.0) (0.18)
Requirement already satisfied: scipy in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from turbofan==0.0.0.0) (1.8.0)
Requirement already satisfied: packaging in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pint->turbofan==0.0.0.0) (21.3)
Requirement already satisfied: pyparsing!=3.0.5,>=2.0.2 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from packaging->pint->turbofan==0.0.0.0) (3.0.7)
Building wheels for collected packages: turbofan
  Building wheel for turbofan (setup.py): started
  Building wheel for turbofan (setup.py): finished with status 'done'
  Created wheel for turbofan: filename=turbofan-0.0.0.0-py3-none-any.whl size=43844 sha256=6024960cb99363875a812650c3c1a05c4cc26624e733cfb471d922ef81be805d
  Stored in directory: /tmp/pip-ephem-wheel-cache-nbheo7em/wheels/76/c1/b6/d9f640853a138526f6e9663b2d5fa82ec31394c3940249aed8
Successfully built turbofan
Installing collected packages: turbofan
  Attempting uninstall: turbofan
    Found existing installation: turbofan 0.0.0.0
    Uninstalling turbofan-0.0.0.0:
      Successfully uninstalled turbofan-0.0.0.0
Successfully installed turbofan-0.0.0.0
adding test for 'turbofan/engine_test.py'

Running tests...
----------------------------------------------------------------------
.
----------------------------------------------------------------------
Ran 1 test in 0.001s

OK

Generating XML reports...
Cloning into 'solar'...
Requirement already satisfied: pandas in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (1.4.1)
Requirement already satisfied: pytz>=2020.1 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pandas) (2022.1)
Requirement already satisfied: numpy>=1.18.5 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pandas) (1.22.3)
Requirement already satisfied: python-dateutil>=2.8.1 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pandas) (2.8.2)
Requirement already satisfied: six>=1.5 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from python-dateutil>=2.8.1->pandas) (1.16.0)
Collecting git+https://github.com/convexengineering/gpfit.git
  Cloning https://github.com/convexengineering/gpfit.git to /tmp/pip-req-build-58g5awov
  Running command git clone --filter=blob:none --quiet https://github.com/convexengineering/gpfit.git /tmp/pip-req-build-58g5awov
  Resolved https://github.com/convexengineering/gpfit.git to commit 3c8025f12ba5360fdeb71c270e55d4c93e1676fd
  Preparing metadata (setup.py): started
  Preparing metadata (setup.py): finished with status 'done'
Requirement already satisfied: gpkit in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/gpkit (from gpfit==0.2.0) (1.1.1)
Requirement already satisfied: matplotlib>=3.3.2 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpfit==0.2.0) (3.5.1)
Requirement already satisfied: numpy in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpfit==0.2.0) (1.22.3)
Requirement already satisfied: pytest-mpl>=0.13 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpfit==0.2.0) (0.14.0)
Requirement already satisfied: pytest>=6.2.5 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpfit==0.2.0) (7.1.1)
Requirement already satisfied: scipy in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpfit==0.2.0) (1.8.0)
Requirement already satisfied: fonttools>=4.22.0 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from matplotlib>=3.3.2->gpfit==0.2.0) (4.31.2)
Requirement already satisfied: kiwisolver>=1.0.1 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from matplotlib>=3.3.2->gpfit==0.2.0) (1.4.2)
Requirement already satisfied: cycler>=0.10 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from matplotlib>=3.3.2->gpfit==0.2.0) (0.11.0)
Requirement already satisfied: pillow>=6.2.0 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from matplotlib>=3.3.2->gpfit==0.2.0) (9.0.1)
Requirement already satisfied: pyparsing>=2.2.1 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from matplotlib>=3.3.2->gpfit==0.2.0) (3.0.7)
Requirement already satisfied: python-dateutil>=2.7 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from matplotlib>=3.3.2->gpfit==0.2.0) (2.8.2)
Requirement already satisfied: packaging>=20.0 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from matplotlib>=3.3.2->gpfit==0.2.0) (21.3)
Requirement already satisfied: iniconfig in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pytest>=6.2.5->gpfit==0.2.0) (1.1.1)
Requirement already satisfied: py>=1.8.2 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pytest>=6.2.5->gpfit==0.2.0) (1.11.0)
Requirement already satisfied: attrs>=19.2.0 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pytest>=6.2.5->gpfit==0.2.0) (21.4.0)
Requirement already satisfied: tomli>=1.0.0 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pytest>=6.2.5->gpfit==0.2.0) (2.0.1)
Requirement already satisfied: pluggy<2.0,>=0.12 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pytest>=6.2.5->gpfit==0.2.0) (1.0.0)
Requirement already satisfied: Jinja2 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pytest-mpl>=0.13->gpfit==0.2.0) (3.1.1)
Requirement already satisfied: adce in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpkit->gpfit==0.2.0) (1.3.3.2)
Requirement already satisfied: cvxopt>=1.1.8 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpkit->gpfit==0.2.0) (1.3.0)
Requirement already satisfied: pint>=0.8.1 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpkit->gpfit==0.2.0) (0.18)
Requirement already satisfied: plotly in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpkit->gpfit==0.2.0) (5.6.0)
Requirement already satisfied: six>=1.5 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from python-dateutil>=2.7->matplotlib>=3.3.2->gpfit==0.2.0) (1.16.0)
Requirement already satisfied: MarkupSafe>=2.0 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from Jinja2->pytest-mpl>=0.13->gpfit==0.2.0) (2.1.1)
Requirement already satisfied: tenacity>=6.2.0 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from plotly->gpkit->gpfit==0.2.0) (8.0.1)
Collecting git+https://github.com/convexengineering/gassolar.git
  Cloning https://github.com/convexengineering/gassolar.git to /tmp/pip-req-build-y4ezi_hp
  Running command git clone --filter=blob:none --quiet https://github.com/convexengineering/gassolar.git /tmp/pip-req-build-y4ezi_hp
  Resolved https://github.com/convexengineering/gassolar.git to commit 90c91cc6b980b44bedaf87ad004654b67a11431c
  Preparing metadata (setup.py): started
  Preparing metadata (setup.py): finished with status 'done'
Requirement already satisfied: gpfit in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gassolar==0.0.0.0) (0.2.0)
Requirement already satisfied: gpkit in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/gpkit (from gassolar==0.0.0.0) (1.1.1)
Requirement already satisfied: numpy in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gassolar==0.0.0.0) (1.22.3)
Requirement already satisfied: pandas in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gassolar==0.0.0.0) (1.4.1)
Requirement already satisfied: scipy in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gassolar==0.0.0.0) (1.8.0)
Requirement already satisfied: pytest-mpl>=0.13 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpfit->gassolar==0.0.0.0) (0.14.0)
Requirement already satisfied: pytest>=6.2.5 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpfit->gassolar==0.0.0.0) (7.1.1)
Requirement already satisfied: matplotlib>=3.3.2 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpfit->gassolar==0.0.0.0) (3.5.1)
Requirement already satisfied: adce in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpkit->gassolar==0.0.0.0) (1.3.3.2)
Requirement already satisfied: cvxopt>=1.1.8 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpkit->gassolar==0.0.0.0) (1.3.0)
Requirement already satisfied: pint>=0.8.1 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpkit->gassolar==0.0.0.0) (0.18)
Requirement already satisfied: plotly in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpkit->gassolar==0.0.0.0) (5.6.0)
Requirement already satisfied: pytz>=2020.1 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pandas->gassolar==0.0.0.0) (2022.1)
Requirement already satisfied: python-dateutil>=2.8.1 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pandas->gassolar==0.0.0.0) (2.8.2)
Requirement already satisfied: fonttools>=4.22.0 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from matplotlib>=3.3.2->gpfit->gassolar==0.0.0.0) (4.31.2)
Requirement already satisfied: kiwisolver>=1.0.1 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from matplotlib>=3.3.2->gpfit->gassolar==0.0.0.0) (1.4.2)
Requirement already satisfied: cycler>=0.10 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from matplotlib>=3.3.2->gpfit->gassolar==0.0.0.0) (0.11.0)
Requirement already satisfied: pillow>=6.2.0 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from matplotlib>=3.3.2->gpfit->gassolar==0.0.0.0) (9.0.1)
Requirement already satisfied: pyparsing>=2.2.1 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from matplotlib>=3.3.2->gpfit->gassolar==0.0.0.0) (3.0.7)
Requirement already satisfied: packaging>=20.0 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from matplotlib>=3.3.2->gpfit->gassolar==0.0.0.0) (21.3)
Requirement already satisfied: iniconfig in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pytest>=6.2.5->gpfit->gassolar==0.0.0.0) (1.1.1)
Requirement already satisfied: py>=1.8.2 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pytest>=6.2.5->gpfit->gassolar==0.0.0.0) (1.11.0)
Requirement already satisfied: attrs>=19.2.0 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pytest>=6.2.5->gpfit->gassolar==0.0.0.0) (21.4.0)
Requirement already satisfied: tomli>=1.0.0 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pytest>=6.2.5->gpfit->gassolar==0.0.0.0) (2.0.1)
Requirement already satisfied: pluggy<2.0,>=0.12 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pytest>=6.2.5->gpfit->gassolar==0.0.0.0) (1.0.0)
Requirement already satisfied: Jinja2 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pytest-mpl>=0.13->gpfit->gassolar==0.0.0.0) (3.1.1)
Requirement already satisfied: six>=1.5 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from python-dateutil>=2.8.1->pandas->gassolar==0.0.0.0) (1.16.0)
Requirement already satisfied: tenacity>=6.2.0 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from plotly->gpkit->gassolar==0.0.0.0) (8.0.1)
Requirement already satisfied: MarkupSafe>=2.0 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from Jinja2->pytest-mpl>=0.13->gpfit->gassolar==0.0.0.0) (2.1.1)
Processing /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/solar
  Preparing metadata (setup.py): started
  Preparing metadata (setup.py): finished with status 'done'
Requirement already satisfied: gpfit in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from solar==0.0.0.0) (0.2.0)
Requirement already satisfied: gpkit in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/gpkit (from solar==0.0.0.0) (1.1.1)
Requirement already satisfied: gpkitmodels in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt (from solar==0.0.0.0) (0.0.0.0)
Requirement already satisfied: numpy in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from solar==0.0.0.0) (1.22.3)
Requirement already satisfied: pandas in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from solar==0.0.0.0) (1.4.1)
Requirement already satisfied: scipy in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from solar==0.0.0.0) (1.8.0)
Requirement already satisfied: pytest-mpl>=0.13 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpfit->solar==0.0.0.0) (0.14.0)
Requirement already satisfied: pytest>=6.2.5 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpfit->solar==0.0.0.0) (7.1.1)
Requirement already satisfied: matplotlib>=3.3.2 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpfit->solar==0.0.0.0) (3.5.1)
Requirement already satisfied: adce in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpkit->solar==0.0.0.0) (1.3.3.2)
Requirement already satisfied: cvxopt>=1.1.8 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpkit->solar==0.0.0.0) (1.3.0)
Requirement already satisfied: pint>=0.8.1 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpkit->solar==0.0.0.0) (0.18)
Requirement already satisfied: plotly in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpkit->solar==0.0.0.0) (5.6.0)
Requirement already satisfied: future in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpkitmodels->solar==0.0.0.0) (0.18.2)
Requirement already satisfied: pytz>=2020.1 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pandas->solar==0.0.0.0) (2022.1)
Requirement already satisfied: python-dateutil>=2.8.1 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pandas->solar==0.0.0.0) (2.8.2)
Requirement already satisfied: fonttools>=4.22.0 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from matplotlib>=3.3.2->gpfit->solar==0.0.0.0) (4.31.2)
Requirement already satisfied: kiwisolver>=1.0.1 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from matplotlib>=3.3.2->gpfit->solar==0.0.0.0) (1.4.2)
Requirement already satisfied: cycler>=0.10 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from matplotlib>=3.3.2->gpfit->solar==0.0.0.0) (0.11.0)
Requirement already satisfied: pillow>=6.2.0 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from matplotlib>=3.3.2->gpfit->solar==0.0.0.0) (9.0.1)
Requirement already satisfied: pyparsing>=2.2.1 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from matplotlib>=3.3.2->gpfit->solar==0.0.0.0) (3.0.7)
Requirement already satisfied: packaging>=20.0 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from matplotlib>=3.3.2->gpfit->solar==0.0.0.0) (21.3)
Requirement already satisfied: iniconfig in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pytest>=6.2.5->gpfit->solar==0.0.0.0) (1.1.1)
Requirement already satisfied: py>=1.8.2 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pytest>=6.2.5->gpfit->solar==0.0.0.0) (1.11.0)
Requirement already satisfied: attrs>=19.2.0 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pytest>=6.2.5->gpfit->solar==0.0.0.0) (21.4.0)
Requirement already satisfied: tomli>=1.0.0 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pytest>=6.2.5->gpfit->solar==0.0.0.0) (2.0.1)
Requirement already satisfied: pluggy<2.0,>=0.12 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pytest>=6.2.5->gpfit->solar==0.0.0.0) (1.0.0)
Requirement already satisfied: Jinja2 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pytest-mpl>=0.13->gpfit->solar==0.0.0.0) (3.1.1)
Requirement already satisfied: six>=1.5 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from python-dateutil>=2.8.1->pandas->solar==0.0.0.0) (1.16.0)
Requirement already satisfied: tenacity>=6.2.0 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from plotly->gpkit->solar==0.0.0.0) (8.0.1)
Requirement already satisfied: MarkupSafe>=2.0 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from Jinja2->pytest-mpl>=0.13->gpfit->solar==0.0.0.0) (2.1.1)
Building wheels for collected packages: solar
  Building wheel for solar (setup.py): started
  Building wheel for solar (setup.py): finished with status 'done'
  Created wheel for solar: filename=solar-0.0.0.0-py3-none-any.whl size=14840 sha256=1e69291eb0d714596315e299f94428adb8567ecb9ad4f947b7a9723648a2f4cd
  Stored in directory: /tmp/pip-ephem-wheel-cache-tutnxrqw/wheels/4c/bf/25/77b26ddc910dab9118d951c02da7f1716b674c29dbcc022a99
Successfully built solar
Installing collected packages: solar
Successfully installed solar-0.0.0.0
adding test for 'solar/sens_chart.py'
adding test for 'solar/season.py'
adding test for 'solar/npod_trade.py'

Running tests...
----------------------------------------------------------------------
.
----------------------------------------------------------------------
Ran 1 test in 0.001s

OK

Generating XML reports...
Cloning into 'gplibrary'...
Requirement already satisfied: pandas in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (1.4.1)
Requirement already satisfied: pytz>=2020.1 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pandas) (2022.1)
Requirement already satisfied: numpy>=1.18.5 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pandas) (1.22.3)
Requirement already satisfied: python-dateutil>=2.8.1 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pandas) (2.8.2)
Requirement already satisfied: six>=1.5 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from python-dateutil>=2.8.1->pandas) (1.16.0)
Collecting git+https://github.com/hoburg/gpfit.git
  Cloning https://github.com/hoburg/gpfit.git to /tmp/pip-req-build-85nnts51
  Running command git clone --filter=blob:none --quiet https://github.com/hoburg/gpfit.git /tmp/pip-req-build-85nnts51
  Resolved https://github.com/hoburg/gpfit.git to commit 3c8025f12ba5360fdeb71c270e55d4c93e1676fd
  Preparing metadata (setup.py): started
  Preparing metadata (setup.py): finished with status 'done'
Requirement already satisfied: gpkit in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/gpkit (from gpfit==0.2.0) (1.1.1)
Requirement already satisfied: matplotlib>=3.3.2 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpfit==0.2.0) (3.5.1)
Requirement already satisfied: numpy in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpfit==0.2.0) (1.22.3)
Requirement already satisfied: pytest-mpl>=0.13 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpfit==0.2.0) (0.14.0)
Requirement already satisfied: pytest>=6.2.5 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpfit==0.2.0) (7.1.1)
Requirement already satisfied: scipy in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpfit==0.2.0) (1.8.0)
Requirement already satisfied: fonttools>=4.22.0 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from matplotlib>=3.3.2->gpfit==0.2.0) (4.31.2)
Requirement already satisfied: kiwisolver>=1.0.1 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from matplotlib>=3.3.2->gpfit==0.2.0) (1.4.2)
Requirement already satisfied: cycler>=0.10 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from matplotlib>=3.3.2->gpfit==0.2.0) (0.11.0)
Requirement already satisfied: pillow>=6.2.0 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from matplotlib>=3.3.2->gpfit==0.2.0) (9.0.1)
Requirement already satisfied: pyparsing>=2.2.1 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from matplotlib>=3.3.2->gpfit==0.2.0) (3.0.7)
Requirement already satisfied: python-dateutil>=2.7 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from matplotlib>=3.3.2->gpfit==0.2.0) (2.8.2)
Requirement already satisfied: packaging>=20.0 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from matplotlib>=3.3.2->gpfit==0.2.0) (21.3)
Requirement already satisfied: iniconfig in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pytest>=6.2.5->gpfit==0.2.0) (1.1.1)
Requirement already satisfied: py>=1.8.2 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pytest>=6.2.5->gpfit==0.2.0) (1.11.0)
Requirement already satisfied: attrs>=19.2.0 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pytest>=6.2.5->gpfit==0.2.0) (21.4.0)
Requirement already satisfied: tomli>=1.0.0 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pytest>=6.2.5->gpfit==0.2.0) (2.0.1)
Requirement already satisfied: pluggy<2.0,>=0.12 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pytest>=6.2.5->gpfit==0.2.0) (1.0.0)
Requirement already satisfied: Jinja2 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pytest-mpl>=0.13->gpfit==0.2.0) (3.1.1)
Requirement already satisfied: adce in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpkit->gpfit==0.2.0) (1.3.3.2)
Requirement already satisfied: cvxopt>=1.1.8 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpkit->gpfit==0.2.0) (1.3.0)
Requirement already satisfied: pint>=0.8.1 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpkit->gpfit==0.2.0) (0.18)
Requirement already satisfied: plotly in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpkit->gpfit==0.2.0) (5.6.0)
Requirement already satisfied: six>=1.5 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from python-dateutil>=2.7->matplotlib>=3.3.2->gpfit==0.2.0) (1.16.0)
Requirement already satisfied: MarkupSafe>=2.0 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from Jinja2->pytest-mpl>=0.13->gpfit==0.2.0) (2.1.1)
Requirement already satisfied: tenacity>=6.2.0 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from plotly->gpkit->gpfit==0.2.0) (8.0.1)
Processing /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/gplibrary
  Preparing metadata (setup.py): started
  Preparing metadata (setup.py): finished with status 'done'
Requirement already satisfied: future in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpkitmodels==0.0.0.0) (0.18.2)
Requirement already satisfied: numpy>=1.12 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpkitmodels==0.0.0.0) (1.22.3)
Requirement already satisfied: pint in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpkitmodels==0.0.0.0) (0.18)
Requirement already satisfied: scipy in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from gpkitmodels==0.0.0.0) (1.8.0)
Requirement already satisfied: packaging in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from pint->gpkitmodels==0.0.0.0) (21.3)
Requirement already satisfied: pyparsing!=3.0.5,>=2.0.2 in /jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages (from packaging->pint->gpkitmodels==0.0.0.0) (3.0.7)
Building wheels for collected packages: gpkitmodels
  Building wheel for gpkitmodels (setup.py): started
  Building wheel for gpkitmodels (setup.py): finished with status 'done'
  Created wheel for gpkitmodels: filename=gpkitmodels-0.0.0.0-py3-none-any.whl size=66150 sha256=a097844da936924d8c3845e7ca7790e190145e35836393ffdb693e67339acb83
  Stored in directory: /tmp/pip-ephem-wheel-cache-yvjnqjbn/wheels/73/40/90/cb9892ffeed2e64e981f0052d5a2118cb3ea1f924f2db78068
Successfully built gpkitmodels
Installing collected packages: gpkitmodels
  Attempting uninstall: gpkitmodels
    Found existing installation: gpkitmodels 0.0.0.0
    Uninstalling gpkitmodels-0.0.0.0:
      Successfully uninstalled gpkitmodels-0.0.0.0
Successfully installed gpkitmodels-0.0.0.0
adding test for 'gpkitmodels/GP/aircraft/wing/wing_test.py'
adding test for 'gpkitmodels/GP/aircraft/tail/tail_tests.py'
adding test for 'gpkitmodels/GP/aircraft/fuselage/test_fuselage.py'
adding test for 'gpkitmodels/GP/aircraft/prop/prop_test.py'
adding test for 'gpkitmodels/GP/aircraft/motor/motor_test.py'
adding test for 'gpkitmodels/SP/SimPleAC/SimPleAC.py'
adding test for 'gpkitmodels/SP/SimPleAC/SimPleAC_mission.py'
adding test for 'gpkitmodels/SP/SimPleAC/SimPleAC_multimission.py'

Running tests...
----------------------------------------------------------------------
EEEEE/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/gpkit/gpkit/constraints/sgp.py:177: UserWarning: SGP not convergent: Cost rose by 6.1% (1588.62 to 1685.18) on GP solve 2. Details can be found in `m.program.results` or by solving at a higher verbosity. Note convergence is not guaranteed for models with SignomialEqualities.
  pywarnings.warn(
...Starting a sequence of GP solves
 for 4 free variables
  in 1 locally-GP constraints
  and for 21 free variables
       in 22 posynomial inequalities.

GP Solve 1
Using solver 'cvxopt'
 for 21 free variables
  in 22 posynomial inequalities.
Solving took 0.0369 seconds.
Solved cost was 5717.

GP Solve 2
Using solver 'cvxopt'
 for 21 free variables
  in 22 posynomial inequalities.
Solving took 0.0282 seconds.
Solved cost was 4538.

GP Solve 3
Using solver 'cvxopt'
 for 21 free variables
  in 22 posynomial inequalities.
Solving took 0.0345 seconds.
Solved cost was 4536.

GP Solve 4
Using solver 'cvxopt'
 for 21 free variables
  in 22 posynomial inequalities.
Solving took 0.0346 seconds.
Solved cost was 4536.

Solving took 0.141 seconds and 4 GP solves.

======================================================================
ERROR [0.024s]: test_gpkitmodels_GP_aircraft_fuselage_test_fuselage_py_cvxopt (gpkit.tests.from_paths.TestFiles)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/gpkit/gpkit/tests/helpers.py", line 55, in test
    testfn(name, import_dict, path)(self)
  File "/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/gpkit/gpkit/tests/from_paths.py", line 48, in <lambda>
    lambda self: getattr(self, name)()))  # pylint:disable=undefined-variable
  File "/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/gpkit/gpkit/tests/from_paths.py", line 34, in test_fn
    mod = __import__(os.path.basename(path)[:-3])
  File "/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/gplibrary/gpkitmodels/GP/aircraft/fuselage/test_fuselage.py", line 3, in <module>
    from gpkitmodels.GP.aircraft.wing.wing_test import FlightState
  File "/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages/gpkitmodels/GP/aircraft/wing/wing_test.py", line 2, in <module>
    from gpkitmodels.GP.aircraft.wing.wing import Wing
  File "/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages/gpkitmodels/GP/aircraft/wing/wing.py", line 10, in <module>
    from .capspar import CapSpar
  File "/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages/gpkitmodels/GP/aircraft/wing/capspar.py", line 4, in <module>
    from .gustloading import GustL
  File "/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages/gpkitmodels/GP/aircraft/wing/gustloading.py", line 4, in <module>
    from ad.admath import cos
ModuleNotFoundError: No module named 'ad'

======================================================================
ERROR [0.726s]: test_gpkitmodels_GP_aircraft_motor_motor_test_py_cvxopt (gpkit.tests.from_paths.TestFiles)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/gpkit/gpkit/tests/helpers.py", line 55, in test
    testfn(name, import_dict, path)(self)
  File "/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/gpkit/gpkit/tests/from_paths.py", line 48, in <lambda>
    lambda self: getattr(self, name)()))  # pylint:disable=undefined-variable
  File "/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/gpkit/gpkit/tests/from_paths.py", line 34, in test_fn
    mod = __import__(os.path.basename(path)[:-3])
  File "/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/gplibrary/gpkitmodels/GP/aircraft/motor/motor_test.py", line 2, in <module>
    from gpkitmodels.GP.aircraft.motor.motor import Propulsor, Motor, MotorPerf
  File "/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages/gpkitmodels/GP/aircraft/motor/motor.py", line 4, in <module>
    from gpkitmodels.GP.aircraft.prop.propeller import Propeller, ActuatorProp
  File "/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages/gpkitmodels/GP/aircraft/prop/propeller.py", line 5, in <module>
    from gpfit.fit_constraintset import XfoilFit
ModuleNotFoundError: No module named 'gpfit.fit_constraintset'

======================================================================
ERROR [0.002s]: test_gpkitmodels_GP_aircraft_prop_prop_test_py_cvxopt (gpkit.tests.from_paths.TestFiles)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/gpkit/gpkit/tests/helpers.py", line 55, in test
    testfn(name, import_dict, path)(self)
  File "/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/gpkit/gpkit/tests/from_paths.py", line 48, in <lambda>
    lambda self: getattr(self, name)()))  # pylint:disable=undefined-variable
  File "/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/gpkit/gpkit/tests/from_paths.py", line 34, in test_fn
    mod = __import__(os.path.basename(path)[:-3])
  File "/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/gplibrary/gpkitmodels/GP/aircraft/prop/prop_test.py", line 2, in <module>
    from gpkitmodels.GP.aircraft.prop.propeller import Propeller, ActuatorProp
  File "/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages/gpkitmodels/GP/aircraft/prop/propeller.py", line 5, in <module>
    from gpfit.fit_constraintset import XfoilFit
ModuleNotFoundError: No module named 'gpfit.fit_constraintset'

======================================================================
ERROR [0.003s]: test_gpkitmodels_GP_aircraft_tail_tail_tests_py_cvxopt (gpkit.tests.from_paths.TestFiles)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/gpkit/gpkit/tests/helpers.py", line 55, in test
    testfn(name, import_dict, path)(self)
  File "/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/gpkit/gpkit/tests/from_paths.py", line 48, in <lambda>
    lambda self: getattr(self, name)()))  # pylint:disable=undefined-variable
  File "/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/gpkit/gpkit/tests/from_paths.py", line 34, in test_fn
    mod = __import__(os.path.basename(path)[:-3])
  File "/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/gplibrary/gpkitmodels/GP/aircraft/tail/tail_tests.py", line 2, in <module>
    from gpkitmodels.GP.aircraft.tail.horizontal_tail import HorizontalTail
  File "/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages/gpkitmodels/GP/aircraft/tail/horizontal_tail.py", line 4, in <module>
    from .tail_aero import TailAero
  File "/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages/gpkitmodels/GP/aircraft/tail/tail_aero.py", line 5, in <module>
    from gpfit.fit_constraintset import XfoilFit
ModuleNotFoundError: No module named 'gpfit.fit_constraintset'

======================================================================
ERROR [0.003s]: test_gpkitmodels_GP_aircraft_wing_wing_test_py_cvxopt (gpkit.tests.from_paths.TestFiles)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/gpkit/gpkit/tests/helpers.py", line 55, in test
    testfn(name, import_dict, path)(self)
  File "/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/gpkit/gpkit/tests/from_paths.py", line 48, in <lambda>
    lambda self: getattr(self, name)()))  # pylint:disable=undefined-variable
  File "/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/gpkit/gpkit/tests/from_paths.py", line 34, in test_fn
    mod = __import__(os.path.basename(path)[:-3])
  File "/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/gplibrary/gpkitmodels/GP/aircraft/wing/wing_test.py", line 2, in <module>
    from gpkitmodels.GP.aircraft.wing.wing import Wing
  File "/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages/gpkitmodels/GP/aircraft/wing/wing.py", line 10, in <module>
    from .capspar import CapSpar
  File "/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages/gpkitmodels/GP/aircraft/wing/capspar.py", line 4, in <module>
    from .gustloading import GustL
  File "/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/lib/python3.8/site-packages/gpkitmodels/GP/aircraft/wing/gustloading.py", line 4, in <module>
    from ad.admath import cos
ModuleNotFoundError: No module named 'ad'

----------------------------------------------------------------------
Ran 8 tests in 3.000s

FAILED (errors=5)

Generating XML reports...
Cloning into 'eVTOL'...
adding test for 'models/model_tests.py'

Running tests...
----------------------------------------------------------------------
.
----------------------------------------------------------------------
Ran 1 test in 0.001s

OK

Generating XML reports...
USING LOCAL DIRECTORY AS GPKITMODELS DIRECTORY
calling ['python', '/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/bin/pip', 'install', '--no-cache-dir', '--no-deps', '-e', '.']
  attempt 1
calling ['git', 'clone', '--depth', '1', '-b', 'master', 'https://github.com/convexengineering/SPaircraft.git']
  attempt 1

SETTINGS
defaultdict(<class 'str'>, {'skipsolvers': 'cvxopt', 'pip install': 'git+https://github.com/hoburg/turbofan.git', 'gpkit-models branch': 'master'})

calling ['python', '/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/bin/pip', 'install', 'git+https://github.com/hoburg/turbofan.git']
  attempt 1
calling ['python', '/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/bin/pip', 'install', '.']
  attempt 1
calling ['git', 'clone', '--depth', '1', '-b', 'master', 'https://github.com/convexengineering/robust.git']
  attempt 1

SETTINGS
defaultdict(<class 'str'>, {})

calling ['python', '/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/bin/pip', 'install', '.']
  attempt 1
  attempt 2
  attempt 3
  attempt 4
  attempt 5
calling ['git', 'clone', '--depth', '1', '-b', 'master', 'https://github.com/convexengineering/shopping.git']
  attempt 1

SETTINGS
defaultdict(<class 'str'>, {})

calling ['git', 'clone', '--depth', '1', '-b', 'master', 'https://github.com/convexengineering/gassolar.git']
  attempt 1

SETTINGS
defaultdict(<class 'str'>, {'pip install': 'pandas, git+https://github.com/hoburg/gpfit.git', 'gpkit-models branch': 'master', 'skipsolvers': 'cvxopt'})

calling ['python', '/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/bin/pip', 'install', 'pandas']
  attempt 1
calling ['python', '/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/bin/pip', 'install', 'git+https://github.com/hoburg/gpfit.git']
  attempt 1
calling ['python', '/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/bin/pip', 'install', '.']
  attempt 1
calling ['git', 'clone', '--depth', '1', '-b', 'master', 'https://github.com/convexengineering/jho.git']
  attempt 1

SETTINGS
defaultdict(<class 'str'>, {'pip install': 'pandas, git+https://github.com/hoburg/gpfit.git', 'gpkit-models branch': 'master', 'skipsolvers': 'cvxopt'})

calling ['python', '/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/bin/pip', 'install', 'pandas']
  attempt 1
calling ['python', '/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/bin/pip', 'install', 'git+https://github.com/hoburg/gpfit.git']
  attempt 1
calling ['git', 'clone', '--depth', '1', '-b', 'master', 'https://github.com/convexengineering/turbofan.git']
  attempt 1

SETTINGS
defaultdict(<class 'str'>, {'skipsolvers': 'cvxopt, mosek_cli', 'gpkit-models branch': 'master'})

calling ['python', '/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/bin/pip', 'install', '.']
  attempt 1
calling ['git', 'clone', '--depth', '1', '-b', 'master', 'https://github.com/convexengineering/solar.git']
  attempt 1

SETTINGS
defaultdict(<class 'str'>, {'pip install': 'pandas, git+https://github.com/convexengineering/gpfit.git, git+https://github.com/convexengineering/gassolar.git', 'gpkit-models branch': 'master', 'skipsolvers': 'cvxopt'})

calling ['python', '/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/bin/pip', 'install', 'pandas']
  attempt 1
calling ['python', '/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/bin/pip', 'install', 'git+https://github.com/convexengineering/gpfit.git']
  attempt 1
calling ['python', '/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/bin/pip', 'install', 'git+https://github.com/convexengineering/gassolar.git']
  attempt 1
calling ['python', '/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/bin/pip', 'install', '.']
  attempt 1
calling ['git', 'clone', '--depth', '1', '-b', 'master', 'https://github.com/convexengineering/gplibrary.git']
  attempt 1

SETTINGS
defaultdict(<class 'str'>, {'pip install': 'pandas, git+https://github.com/hoburg/gpfit.git'})

calling ['python', '/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/bin/pip', 'install', 'pandas']
  attempt 1
calling ['python', '/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/bin/pip', 'install', 'git+https://github.com/hoburg/gpfit.git']
  attempt 1
calling ['python', '/jenkins/workspace/CE_gplibrary_Push_research_models/cvxopt/venv_jenkins/bin/pip', 'install', '.']
  attempt 1
calling ['git', 'clone', '--depth', '1', '-b', 'master', 'https://github.com/convexengineering/eVTOL.git']
  attempt 1

SETTINGS
defaultdict(<class 'str'>, {'skipsolvers': 'cvxopt'})

[Execution node] check if [reynolds] is in [[windows10x64]]
Run condition [Execution node ] preventing perform for step [Execute Windows batch command]
Build step 'Console output (build log) parsing' changed build result to FAILURE
Recording test results
[Checks API] No suitable checks publisher found.
[WS-CLEANUP] Deleting project workspace...
[WS-CLEANUP] Deferred wipeout is used...
[WS-CLEANUP] done
Finished: FAILURE